#! /usr/local/bin/tcsh -f
# strip-to-mpeg2.sh
#
# remove any source code thats not really part of MPEG-2 AAC Reference Software ..
#
# Ralph Sperschneider, Fraunhofer Institute for Integrated Circuits <sps@iis.fhg.de>
# RS 20010328
#
# usage:
#   ./strip-to-mpeg2.sh
#
if (! -e src_mpeg4) then
    mv src src_mpeg4
endif
mkdir -p src
cd src_mpeg4
foreach i ( *.[ch] )
    echo $i;
    ../../mp4AudVm/strip_ifdef key=MPEG4V1 $i >! ../src/$i
end
cd ..
# rm -r src_mpeg4
