/*****************************************************************************
 *                                                                           *
"This software module was originally developed by 

Fraunhofer Gesellschaft IIS 

in the course of development of the MPEG-2 NBC/MPEG-4 Audio standard ISO/IEC 13818-7, 
14496-1,2 and 3. This software module is an implementation of a part of one or more 
MPEG-2 NBC/MPEG-4 Audio tools as specified by the MPEG-2 NBC/MPEG-4 
Audio standard. ISO/IEC  gives users of the MPEG-2 NBC/MPEG-4 Audio 
standards free license to this software module or modifications thereof for use in 
hardware or software products claiming conformance to the MPEG-2 NBC/MPEG-4
Audio  standards. Those intending to use this software module in hardware or 
software products are advised that this use may infringe existing patents. 
The original developer of this software module and his/her company, the subsequent 
editors and their companies, and ISO/IEC have no liability for use of this software 
module or modifications thereof in an implementation. Copyright is not released for 
non MPEG-2 NBC/MPEG-4 Audio conforming products.The original developer
retains full right to use the code for his/her  own purpose, assign or donate the 
code to a third party and to inhibit third party from using the code for non 
MPEG-2 NBC/MPEG-4 Audio conforming products. This copyright notice must
be included in all copies or derivative works." 
Copyright(c)1998, 1999, 2000.
 *                                                                           *
 *****************************************************************************/

/* This file has been created automatically. */
/* Any changes in this file will be lost.    */

#define D(a) {const void *dummyfilepointer; dummyfilepointer = &a;}
#ifdef VERSION2
#include <stdio.h>
#include <stdlib.h>
#include "allHandles.h"
#include "bitstream.h"
#include "common_m4a.h"		/* common module */
#include "hyperframe.h"
#define MALLOC(DST, ARRAYSIZE)  *(void**)&DST = malloc(sizeof(*(DST))*(ARRAYSIZE))
#define BYTE_NUMBIT 8		/* bits in byte (char) */
#define LONG_NUMBIT 32		/* bits in unsigned long */
#define bit2byte(a) (((a)+BYTE_NUMBIT-1)/BYTE_NUMBIT)
#define byte2bit(a) ((a)*BYTE_NUMBIT)
void HyperFrameInit(HANDLE_HYPERFRAME *hHf)
{
  D(hHf)
}

void HyperframeHelp(FILE *helpStream)
{
  D(helpStream)
}

void HyperframeParseCmdline(const char         *decPara,
                            HANDLE_HYPERFRAME hHyperframe)
{
  D(decPara)
  D(hHyperframe)
}

size_t HyperFrameReadAndDeinterleave(HANDLE_BSBITSTREAM stream,
                                     long curBuf,
                                     long numByte)
{
  D(stream)
  D(curBuf)
  D(numByte)
  return(0);
}

void SetHfFlag(int flag,
                       char mode)
{
  D(flag)
  D(mode)
}

int GetHfFlag()
{
  return(0);
}

int IsHyperFrame()
{
  return(0);
}

int BsGetBitHf(HANDLE_BSBITSTREAM stream,
               unsigned long *data,
               int numBit,
               long bno)
{
  D(stream)
  D(data)
  D(numBit)
  D(bno)
  return(0);
}

#endif /*VERSION2*/
#undef D
