#ifndef COORDINATE2D_PROXY_H
#define COORDINATE2D_PROXY_H


#include "Traversable.h"
#include "GroupNodeProxy.h"

class Inline2DProxy : public GroupNodeProxy
{
public:
	Inline2DProxy(MediaObject* pMO) : GroupNodeProxy(pMO) {}

	
	Inline2D* GetInline2D() const
	{ return (Inline2D*)GetObject(); }

	// Functions inherited from the base class
	void PreRender(Effects & /*effects*/) ;
	BOOL Render  (NodeField *, void *pContext);
	void Print(FILE*, int) const{};
	BOOL IsFinished() const { return TRUE; }
	virtual void UpdateTimeSensor();
};


#endif // COORDINATE2D_PROXY_H
