#if !defined(_WrldInfo_h)  // Sentry, use file only if it's not already included.
#define _WrldInfo_h

/*-------------------------------------------------------------------------
Project Im1Player
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  BIFS Decoder/ Compositor / Presenters
FILE:       WrldInfo.h
AUTHOR:     Zvi Lifshitz (VDOnet Corp.)
OVERVIEW:   Declaration of a WorldInfo class.
-------------------------------------------------------------------------*/
#include "NodeFld.h"
#include "bifs.h"
#include "Executiv.h"
#include "Presenter.h"

class WorldInfo: public MediaObject
{
	 BIFS_DECLARE_NODE

	 /*-----------------------------------------------------------------
	 Implemenations should add here WorldInfo stuff
	 -----------------------------------------------------------------*/
public:
	MF<ZString> info;
	SFString title;

public:
      WorldInfo() {}

	void RegisterObject()
	{
#ifndef BIFSENC
		((Presenter*)GetExecutive()->GetPresenter())->InitWorldInfo(this);
#endif
	}
};

#include "CrNodes.h"

#endif	// WrldInfo sentry