/*------------------------------------------------------------------
	 1999 CSELT - Centro Studi e Laboratori Telecomunicazioni.
	All rights reserved.
------------------------------------------------------------------*/


#ifndef _defs_h_
#define _defs_h_

#ifndef TRUE
#define TRUE 1
#endif

#ifndef FALSE
#define FALSE 0 
#endif


typedef int/*char*/		Bool;
typedef char 			Byte; // 1 byte
typedef unsigned short 	Word; // 2 bytes
typedef unsigned long	DWord;// 4 bytes
#ifdef SUN
typedef int/*char*/		BOOL;
typedef unsigned short 	WORD; // 2 bytes
typedef unsigned long	DWORD;// 4 bytes
#endif


#include <iostream.h>
//#include "dsmcc_messages.h"
//#include "dni_messages.h"

#ifndef _REENTRANT
#define _REENTRANT
#endif

#include "inet.h"
//#include "porting.h"

#define D_PRINTFSM 1
#define D_PRINTMSG 1


///// miscellaneous //
#define SIZE_OF_LONG 4
#define INITIAL_FILE "../../common/iniz.h"
//#define CONFIG_FILE_LOCATION "C:/opt/armida/rossi/config/configDirectories.txt"
#define CONFIG_FILE_LOCATION "../config/configDirectories.txt"
#define DELETE_ELEM 1
#define DONT_DELETE_ELEM 0


///// timer messages //
#define NETWORK 'n'
#define SERVER 's'
#define CLIENT 'c'
#define USERSETUP 'u'
#define USERRELEASE 'r'
#define EARLYRELEASE 'e'
#define PASSTHRU 'p'
#define DONTCARE 'x'
#define TARGET (char)0xFF;

#define DONTREMEMBER (char)0x80
#define ToMask 0x7F

#define SDB_FSM 0x01
#define SESSION_FSM 0x02
#define NO_FSM 0x03

///// socket //
// N.B. BUFFERLEN == sizeof(struct dsm) ////
//#define BUFFERLEN 1098
#define BUFFERLEN 8192
//#define MESSAGELEN 1024

#ifdef SUN
#define prE(x) perror((x));
#else
#define prE(x) prError((x),WSAGetLastError());
#endif

///// DSMCCdaemon<-->application messages //


// command //
#define SESSION_SETUP 0x01
#define SESSION_RELEASE 0x02
#define ADD_RESOURCE 0x03
#define DEL_RESOURCE 0x04
#define CHANNEL_CHANGE 0x05
#define PASS_THROUGH 0x06
#define CF_SESSION_SETUP 0x07
#define REGISTRATION 0x08
// type //
//#define REQUEST 0x01
//#define RESPONSE 0x02
//#define INDICATION 0x03
//#define CONFIRM 0x04
//#define SDBERROR 0x0E
//#define SESSIONABORTED 0x0F


///// sessionFSM type ///
#define thisIsAContinuousFeedSession 0x01
#define thisIsACFAssocSession 0x02
#define thisIsAnExclusiveSession 0x03

class DSMCCMessage;
class DNIMessage;

typedef struct {
		DSMCCMessage* dsmcc;
		DNIMessage* dni;
		} DBLMessage;

class sockstruct {
public:
	Word	protocol_type;
	HANDLE	appl_proc_id;
	SOCKET	socket_fd;
	SOCKET	new_socket_fd;
	Word	socket_port;
};
inline ostream& operator<<(ostream& s, const sockstruct& m) {
	s << "socket_fd="<<m.socket_fd;
    s << ", new_socket_fd="<<m.new_socket_fd;
    s << ", socket_port="<<m.socket_port;
    return s;
}

/*
struct dsm {
		char sessionIdentifier[10];
		char command;
		char type;
		unsigned short reason; //  Word: 2bytes (==DSMCCReason)  //
		char serverId[20];
		char serverCFname[20];
		char applName[20];
		char buffer[MESSAGELEN];
		};

inline ostream& operator<<(ostream& s, const struct dsm& m) {
	s << "name="<<m.applName;
        s << "  command="<<hex<<(int)m.command;
        s << "  type="<<(int)m.type;
        s << "  reason="<<(int)m.reason<<dec;
        return s;
}
*/

#endif

