/*******************************************************************************
* Copyright(c) Philips Consumer Electronics B.V. 1998                         
* All rights reserved. Reproduction in whole or in part is                  
* prohibited without the written consent of the copyright holder.            
*                                                                            
*  Project             : Bali
*  File name   $Logfile: /func_test_platf2/bali/support/ListenerHandler.java $
*       Last save $Date: 2000/06/06 18:43:04 $
*             $Revision: 1.1 $
*          Last $Author: alavilli $
*  Creation Date       : 1/1/98
*  First Author        : H.v.Woerkom
*                        NatLab - Eindhoven
* 
*  Description         : ListenerHandler
*                                                                          
*  Change history      :
*  ---------------
*
* $Log: HwSfResourceListenerHandler.java,v $
* Revision 1.1  2000/06/06 18:43:04  alavilli
* After SISF integration into the CORE4 code
*
* Revision 1.1.2.1  1999/07/09 14:16:42  depetris
* Aggiornati i file per lo sviluppo e il rilascio a MPEG-J.
* Integra la versione 2.5 del core.
*
* Revision 1.1  1999-03-25 12:02:46+01  vdheuvel
* 39 march 1999, start of archive.
* Middleware packages DAVIC API implementation.
*
*
*******************************************************************************/

package bali.hw.sectfilt;
import  java.util.EventObject;
import  java.util.EventListener;
import  bali.support.ListenerHandler;

/******************************
Utility object to handle the HwSectionFilterResourceListeners.
*/

class HwSfResourceListenerHandler
	extends ListenerHandler
{
	public void postEvent( EventListener listener, EventObject event )
	{
		HwSfResourceListener l = (HwSfResourceListener)listener;
        l.newHwSfResourceEvent(  (HwSfResourceEvent)event );
	}
	
}