/*
* Copyright(c) Philips Consumer Electronics B.V. 1998                         
* All rights reserved. Reproduction in whole or in part is                  
* prohibited without the written consent of the copyright holder.            
*                                                                            
*  Project             : Bali
*  File name   $Logfile: /func_test_platf2/bali/support/TimerEvent.java $
*       Last save $Date: 2000/06/06 18:43:10 $
*             $Revision: 1.1 $
*          Last $Author: alavilli $
*  Creation Date       : 28/10/98
*  First Author        : S.A.F.A. van den Heuvel
*                        NatLab - Eindhoven
* 
*                                                                          
*  Change history      :
*  ---------------
*
* $Log: TimerEvent.java,v $
* Revision 1.1  2000/06/06 18:43:10  alavilli
* After SISF integration into the CORE4 code
*
* Revision 1.1.2.1  1999/07/09 14:16:55  depetris
* Aggiornati i file per lo sviluppo e il rilascio a MPEG-J.
* Integra la versione 2.5 del core.
*
* Revision 1.1  1998-10-29 16:19:52+01  vdheuvel
* 39 march 1999, start of archive.
* Middleware packages DAVIC API implementation.
*
 * 
 * 1     9-11-98 14:00 Vdheuvel
 * Creation
*/

package bali.support;
import  java.util.EventObject;

/*********************
 This event is sent when a timeOut on SIActiveEventSender has
 expired.         

 @see ActiveEventSender
 @see TimerEvent
 @see TimerListener
*/
public class TimerEvent
	extends EventObject
{
	public TimerEvent( Object source, Object timerRef )
	{
		super( source );
		_timerRef = timerRef;
	}
	
	/*******************
	Return the timerId of this timer.
	*/
	public Object getTimerRef()
	{
		return _timerRef;
	}

	
	//////////////// PRIVATE //////////////////
	private Object _timerRef;
}

