/*******************************************************************************
* Copyright(c) Philips Consumer Electronics B.V. 1998                         
* All rights reserved. Reproduction in whole or in part is                  
* prohibited without the written consent of the copyright holder.            
*                                                                            
*  Project             : Bali
*  Module              : Ajg
*  File name   $Logfile: /func_test_platf2/bali/support/Util.java $
*       Last save $Date: 2000/06/06 18:43:10 $
*             $Revision: 1.1 $
*          Last $Author: alavilli $
*  Creation Date       : 23-4-1998
*  First Author        : Bas van den Heuvel
*                        NatLab - Eindhoven
* 
*  Description         : Allows the printing of debug messages using the G+4
*                        Debug mechanism.
*                                                                          
*  Change history      :
*  ---------------
*
* $Log: Util.java,v $
* Revision 1.1  2000/06/06 18:43:10  alavilli
* After SISF integration into the CORE4 code
*
* Revision 1.1.2.1  1999/07/09 14:16:56  depetris
* Aggiornati i file per lo sviluppo e il rilascio a MPEG-J.
* Integra la versione 2.5 del core.
*
* Revision 1.1  1998-11-02 12:35:04+01  vdheuvel
* 39 march 1999, start of archive.
* Middleware packages DAVIC API implementation.
*
 * 
 * 1     9-11-98 14:00 Vdheuvel
 * Creation
*
*******************************************************************************/

package bali.support;

/********************
This class offers some generic utils.
*/
public class Util
{
	public static int byteToUnsigned(byte x) 
	{
		return ((int) x) & 0x00ff;
	}
}