/*
* Copyright(c) Philips Consumer Electronics B.V. 1998                         
* All rights reserved. Reproduction in whole or in part is                  
* prohibited without the written consent of the copyright holder.            
*                                                                            
*  Project             : Bali
*  Module              : bali.si 
*  File name   $Logfile: /func_test_platf2/org/davic/net/Locator.java $
*       Last save $Date: 2000/07/21 21:05:02 $
*             $Revision: 1.1 $
*          Last $Author: alavilli $
*  Creation Date       : 09/11/98
*  First Author        : S.A.F.A. van den Heuvel
*                        NatLab - Eindhoven
* 
*                                                                          
*  Change history      :
*  ---------------
*
* $Log: Locator.java,v $
* Revision 1.1  2000/07/21 21:05:02  alavilli
* adding missing files in the previous checkin for SISF
*
* Revision 1.1.2.1  1999/07/09 14:17:19  depetris
* Aggiornati i file per lo sviluppo e il rilascio a MPEG-J.
* Integra la versione 2.5 del core.
*
* Revision 1.1  1998-11-09 18:13:24+01  vdheuvel
* start of archive, 29 march 1999
* DAVIC API implementation
*
 * 
 * 2     9-11-98 17:13 Vdheuvel
 * Implemented all methods
*/

package org.davic.net;

/** Locator that encapsulates an URL into an object
  */

public class Locator {

  public Locator() {
    _str = "";
  }

  /** Constructor for the locator 
    * @param url URL string
    */
  public Locator(String url) {
    _str = url;
  }

  /** Returns the URL string representation
    * @returns URL string
    */
  public String toString() {
    return ( _str );
  }
  
  ////////////// IMPLEMENTATION ////////////////
  private String _str;

}

