/*
* Copyright(c) Philips Consumer Electronics B.V. 1998                         
* All rights reserved. Reproduction in whole or in part is                  
* prohibited without the written consent of the copyright holder.            
*                                                                            
*  Project             : Bali
*  File name   $Logfile: $
*       Last save $Date: 2000/06/06 18:43:22 $
*             $Revision: 1.1 $
*          Last $Author: alavilli $
*  Creation Date       : 14-04-1999
*  First Author        : S.A.F.A. van den Heuvel
*                        NatLab - Eindhoven
* 
*                                                                          
*  Change history      :
*  ---------------
*
* $Log: NetworkInterfaceListenerHandler.java,v $
* Revision 1.1  2000/06/06 18:43:22  alavilli
* After SISF integration into the CORE4 code
*
* Revision 1.1.2.1  1999/07/09 14:17:31  depetris
* Aggiornati i file per lo sviluppo e il rilascio a MPEG-J.
* Integra la versione 2.5 del core.
*
* Revision 1.1  1999-04-14 10:35:36+02  vdheuvel
* Creation.
*
*/

package org.davic.net.tuning;

import bali.support.ListenerHandler;
import bali.support.Debug;
import bali.support.Assert;
import java.util.EventListener;
import java.util.EventObject;

/********************
This class is holds the list of network interface listeners and acts
as ListenerInterfaceAdapter.
*/
class NetworkInterfaceListenerHandler
    extends ListenerHandler
{
    /********************
    */
	public void postEvent( EventListener listener, EventObject event )
	{
		((NetworkInterfaceListener)listener).receiveNIEvent( (NetworkInterfaceEvent)event );

	}

}
