/*
* Copyright(c) Philips Consumer Electronics B.V. 1998                         
* All rights reserved. Reproduction in whole or in part is                  
* prohibited without the written consent of the copyright holder.            
*                                                                            
*  Project             : Bali
*  Module              : bali.si 
*  File name   $Logfile: /func_test_platf2/test/TimerTest.java $
*       Last save $Date: 2000/07/21 20:37:50 $
*             $Revision: 1.1 $
*          Last $Author: alavilli $
*  Creation Date       : 28/10/98
*  First Author        : S.A.F.A. van den Heuvel
*                        NatLab - Eindhoven
* 
*                                                                          
*  Change history      :
*  ---------------
*
* $Log: TestWatchDog.java,v $
* Revision 1.1  2000/07/21 20:37:50  alavilli
* adding missing files in the previous checkin for SISF
*
* Revision 1.1.2.1  1999/07/09 14:17:41  depetris
* Aggiornati i file per lo sviluppo e il rilascio a MPEG-J.
* Integra la versione 2.5 del core.
*
* Revision 1.1  1998-12-10 13:49:48+01  vdheuvel
* Test programs
*
 * 
 * 1     9-11-98 14:03 Vdheuvel
 * Creation
*/

package test;
import  bali.support.*;
import  java.util.Date;

public class TestWatchDog
    implements Runnable
{
	static public void main( String args[] )
	{
        Debug.setDbgLvl( Debug.SUPPORT, Debug.IMPL );
        

	    TestWatchDog wd = new TestWatchDog();
        Thread t;
        t = new Thread( wd );
        t.setName( "Test block");
        System.out.println("Start blocking Thread " +t);
        t.start();

        t = new Thread( wd );
        t.setName( "Test non block1");
        System.out.println("Start non blocking Thread "+t);
        t.start();

        t = new Thread( wd );
        t.setName( "Test non block2");
        System.out.println("Start non blocking Thread "+t);
        t.start();
	}
	
	TestWatchDog( )
	{
	}
	
	
	public void run()
	{
        System.out.println(""+Thread.currentThread()+" wait");
	    WatchDog.wait( this );
	    synchronized( this )
	    {
            System.out.println(""+Thread.currentThread()+" enter");
    	    WatchDog.enter( this );
            System.out.println(""+Thread.currentThread()+" blocking" );
            while(true);

//            System.out.println(""+Thread.currentThread()+" exit");
//    	    WatchDog.exit( this );
	    }
//        System.out.println(""+Thread.currentThread()+" finished");
	}
}

