/*
* Copyright(c) Philips Consumer Electronics B.V. 1998                         
* All rights reserved. Reproduction in whole or in part is                  
* prohibited without the written consent of the copyright holder.            
*                                                                            
*  Project             : Bali
*  File name   $Logfile: $
*       Last save $Date: 2000/07/21 20:39:01 $
*             $Revision: 1.2 $
*          Last $Author: alavilli $
*  Creation Date       : early 1998
*  First Author        : H. v. Woerkom
*                        NatLab - Eindhoven
* 
*                                                                          
*  Change history      :
*  ---------------
* $Log: MyList.java,v $
* Revision 1.2  2000/07/21 20:39:01  alavilli
* adding missing files in the previous checkin for SISF
*
* Revision 1.1.2.1  1999/07/09 14:27:29  depetris
* Aggiornati i file per lo sviluppo e il rilascio a MPEG-J.
* Integra la versione 2.5 del core.
*
* Revision 1.2  1999-04-23 10:52:47+02  vdheuvel
* Adapted to the new ftp.
*
*
*/

package test_awt;

import java.awt.*;

public class MyList extends List {
	public MyList(int x, boolean y, int z) {
		super( x, y );
		_x = z;
	}
	
	public Dimension getPreferredSize()
	{
		return getMinimumSize();
	}
	
	public Dimension MinimumSize()
	{
		return getMinimumSize();
	}
	
	public Dimension preferredSize()
	{
		return getMinimumSize();
	}
	
	public Dimension getPreferredSize(int x)
	{
		return getMinimumSize(x);
	}
	
	public Dimension MinimumSize(int x)
	{
		return getMinimumSize(x);
	}
	
	public Dimension preferredSize(int x)
	{
		return getMinimumSize(x);
	}
	
	public Dimension getMinimumSize()
	{
		Dimension d = super.getMinimumSize();
		return new Dimension(_x,d.height);
	}
	
	public Dimension getMinimumSize(int x)
	{
		Dimension d = super.getMinimumSize(x);
		return new Dimension(_x,d.height);
	}
	
	private int _x;	
}
