/***********************************************************************
This software module was originally developed by Zvi Lifshitz
(Triton R&D Ltd.) in the course of development of the MPEG-4 Systems
(ISO/IEC 14496-1) standard. This software module is an implementation of
a part of one or more MPEG-4 Systems (ISO/IEC 14496-1) tools as
specified by the MPEG-4 Systems (ISO/IEC 14496-1) standard. ISO/IEC
gives users of the MPEG-4 Systems (ISO/IEC 14496-1) free license to
this software module or modifications thereof for use in hardware or
software products claiming conformance to the MPEG-4 Systems (ISO/IEC
14496-1). Those intending to use this software module in hardware or
software products are advised that its use may infringe existing patents.
The original developer of this software module and his/her company, the
subsequent editors and their companies, and ISO/IEC have no liability
for use of this software module or modifications thereof in an
implementation. Copyright is not released for non MPEG-4 Systems
(ISO/IEC 14496-1) conforming products. Triton R&D Ltd. retains full right
to use the code for his/her own purpose, assign or donate the code to a
third party and to inhibit third parties from using the code for non
MPEG-4 Systems (ISO/IEC 14496-1) conforming products. This copyright
notice must be included in all copies or derivative works.
Copyright  1998.
************************************************************************

For more information or to receive an up to date version of this module,
you may call Zvi Lifshitz at zvil@csi.com.
----------------------------------------------------------------------*/

#if !defined(_Mpg4VidFDIS_h)  // Sentry, use file only if it's not already included.
#define _Mpg4VidFDIS_h

#include "MuxStream.h"

class Mpg4VidFDISStream : public Stream
{
  //FILE *stream;
  unsigned long m_nAU;
  float m_dt, m_frameRate;
  int   m_cNext;
  long  m_lDTS, m_lFrames;
  long  m_nCount;
  long  m_nFrameSize;
  long  a[32];
  bool m_bRAP;
  long m_DTS,  m_CTS,  m_IPB_TYPE, m_HEADER, m_SYNC ;


public:
	Mpg4VidFDISStream (FILE *fStream, ESDesc *pDescriptor);
	//virtual long GetTimeStamp ();
	long GetDTS ();
	long GetCTS ();
	bool IsRAP ();
	int GetChar ();
};

#endif	// _Mpg4VidFDIS_h sentry