#include "IM1Interface.h"
#include "NativeNode.h"

JNIEXPORT jint JNICALL
Java_org_iso_mpeg_scene_NativeNode_getNode(JNIEnv *env, 
										   jobject self, 
										   jint sceneHandle, 
										   jint nodeID )
{
	jint ret = 0;

	if ( sceneHandle )
	{
		IM1DispatchTablePtr t = MPJGetSceneDispatchTable();
		if ( t )
		{
			int nodeHandle;
			int err = t->findNode( nodeID, &nodeHandle );
			if ( err == 0 )
				ret = nodeHandle;
		}
	}
	return ret;
}

JNIEXPORT void JNICALL
Java_org_iso_mpeg_scene_NativeNode_doSendEventIn(JNIEnv *env, 
												 jobject self, 
												 jint nodeHandle, 
												 jint inID, 
												 jobject event )
{
	FieldValue val;
	IM1DispatchTablePtr t = MPJGetSceneDispatchTable();
	if ( t )
	{
		int err = t->sendEventIn( nodeHandle, inID, &val );
	}
}

JNIEXPORT jobject JNICALL 
Java_org_iso_mpeg_scene_NativeNode_doGetEventOut(JNIEnv *env, 
												 jobject self, 
												 jint nodeHandle, 
												 jint outID )
{
	jobject ret = 0;
	return ret;
}

JNIEXPORT void JNICALL 
Java_org_iso_mpeg_scene_NativeNode_doAddEventOutListener(JNIEnv *env, 
														 jobject self,
														 jint nodeHandle, 
														 jint outID, 
														 jobject listener )
{
}
