/*
* Copyright(c) Philips Consumer Electronics B.V. 1998                         
* All rights reserved. Reproduction in whole or in part is                  
* prohibited without the written consent of the copyright holder.            
*                                                                            
*  Project             : Bali
*  File name   $Logfile: /func_test_platf2/bali/tm/sectfilt/FilterData.java $
*       Last save $Date: 2001/01/22 05:21:58 $
*             $Revision: 1.1 $
*          Last $Author: kyong $
*  Creation Date       : 28/10/98
*  First Author        : S.A.F.A. van den Heuvel
*                        NatLab - Eindhoven
* 
*                                                                          
*  Change history      :
*  ---------------
*
* $Log: FilterData.java,v $
* Revision 1.1  2001/01/22 05:21:58  kyong
* *** empty log message ***
*
* Revision 1.2  2000/07/21 20:35:54  alavilli
* adding missing files in the previous checkin for SISF
*
* Revision 1.1.2.1  1999/07/09 14:16:32  depetris
* Aggiornati i file per lo sviluppo e il rilascio a MPEG-J.
* Integra la versione 2.5 del core.
*
* Revision 1.1  1999/01/25 13:21:39  depetris
* Added the section filter stuff
*
 * 
 * 1     9-11-98 14:00 Vdheuvel
 * Creation
*/

package sommit.sectfilt;

/*********************
*/
class FilterData
{
    FilterData
        ( int identifier
        , SommitSfInterface listener
        , int PID
        , byte[] posMask
        , byte[] posValue
        , byte[] negMask
        , byte[] negValue
        )
    {   
        this.identifier = identifier;
        this.PID        = PID;
        this.listener   = listener;
        this.posMask    = posMask;
        this.posValue   = posValue;
        this.negMask    = negMask;
        this.negValue   = negValue;
    }
    
    int identifier;
    int index;
    int PID;
    byte[] posMask;
    byte[] posValue;
    byte[] negMask;
    byte[] negValue;
	SommitSfInterface listener;
}

