/* for renderer events listener - praveen*/
import java.awt.*;
import java.awt.event.*;
import java.net.*;
import javax.swing.*;
import java.io.*;
import org.iso.mpeg.mpegj.resource.*;
import org.iso.mpeg.mpegj.decoder.*;
import org.iso.mpeg.mpegj.net.*;
import org.iso.mpeg.mpegj.resource.CapabilityManagerNotFoundException;
import org.iso.mpeg.mpegjRefImpl.decoder.*;

public class EventHandler implements MPRendererMediaListener,MPDecoderMediaListener
{

	public void mPCompositeMediaHandler(MPRendererMediaEvents event)
	{
		try
		{
			// Create and show the ExceptionFrame with a title
			RendererEventFrame jframe = new RendererEventFrame("MPRendererMediaEvent Listened:", event.getCondition());
			jframe.setVisible(true);
		} 
		catch (Exception e)
		{
			System.out.println(e.toString());
		}	
	}  
	public void mPDecoderMediaHandler(MPDecoderMediaEvents event)
	{
		try
		{
			// Create and show the ExceptionFrame with a title
			DecoderEventFrame jframe = new DecoderEventFrame("MPDecoderMediaEvent:", ((MPDecoderImp)event.getSource()), event.getCondition());
			jframe.setVisible(true);
		} catch (Exception e)
		{
			System.out.println(e.toString());
		}
	}


	public EventHandler()
	{
		super();		
	}

	public static void main( String[] args)
	{
		EventHandler evh = new EventHandler();
		try
		{
			MPDecoderImp dec = new MPDecoderImp(3);
			MPDecoderMediaEvents me = new MPDecoderMediaEvents ( dec, 1);
			MPRendererMediaEvents me2 = new MPRendererMediaEvents( dec, 0);
			evh.mPDecoderMediaHandler(me);
			evh.mPCompositeMediaHandler(me2);
		} catch( Exception e)
		{
		} 
	}
}

