#ifndef __G723CLASS_H__
#define __G723CLASS_H__


#include "Defs.h"


#include "TypeDef2.H"
#include "Cst2.H"


#include "DecoderImp.h"


extern "C"
{
  void Init_Decod(void);
  void Init_Dec_Cng(void);
  Flag Decod(FLOAT * DataBuff, char * Vinp, Word16 Crc);
}


class G723Class : public DecoderImp
{


private:
  FLOAT madOutput[Frame];


  // riitta 060399
	virtual BOOL SetFormat (
		Capabilities &formatOptions,
		DecoderParams &decoderParams
	);


public:


  virtual bool Init();


  virtual void Run();


  virtual BOOL Decode(
    unsigned char * pucInput,
    int iInputLength,
    unsigned char * pucOutput,
    int & riOutputLength);


	virtual int GetOptimalOutputSize () {return 480;}


};


#endif // ! __G723CLASS_H__
