#ifndef __JPEGCLASS_H__
#define __JPEGCLASS_H__

#include "defs.h"

#include "memdec.h"

#include "DecoderImp.h"

class JpegClass : public DecoderImp
{
private:
  unsigned short musWidth;
  unsigned short musHeight;

  tMemSourceManager oMemSourceManager;

public:
  JpegClass();
  ~JpegClass();

  virtual bool Init();

  virtual void Run();

  virtual int GetOptimalOutputSize () 
  { return musHeight * musWidth * 3 + 4; }

  virtual BOOL Decode (
		LPBYTE pInput,
		int nInputLength,
		LPBYTE pOutput,
		int &rnOutputLength);
};

#endif // __JPEGCLASS_H__
