#ifndef __MEMDEC_H__
#define __MEMDEC_H__

#include <stdio.h>

#include "jpeglib.h"
#include "jpegmemdec.h"

/*
 * The data source manager for the JPEG library.
 */

/* Expanded data source object for reading from a block of memory */
typedef struct tMemSourceManager
{
  struct jpeg_source_mgr base;	/* Inherited fields */

  unsigned char* buffer;		/* Pointer to the buffer */
  int size;						/* Size of the buffer */
} mem_source_mgr;

#endif // __MEMDEC_H__
