/*
 * $RCSfile: chrono.h,v $		$Author: mleditsc $
 * $Revision: 1.1 $		$Date: 2000/01/24 05:37:42 $ 
 * $Locker:  $      
 */

/***********/
/* HISTORY */
/***********/
/*
 * $Log: chrono.h,v $
 * Revision 1.1  2000/01/24 05:37:42  mleditsc
 * *** empty log message ***
 *
 * Revision 1.2  2000/01/19 03:08:42  mleditsc
 * Fixed up a problem with lines ending with CR CR LF
 *
 * Revision 1.1.1.1  2000/01/13 06:05:53  mleditsc
 * Import of 3D player 990924 2.55
 *
 *
 */

/******************************************************************************/
/* CREATED BY : Bruno Loret -- France Telecom  -- 21-Oct-1997                 */
/******************************************************************************/

/******************************************************************************/
#ifndef _CHRONO_H_
#define _CHRONO_H_

#include "momusys.h"
#include "vm_common_defs.h"

typedef struct __struct_chrono
{
    Int start;
    Int stop;
    Int runtime;
} Struct_Chrono;

Int     CallingConvention start_chrono(Struct_Chrono *c);
Int     CallingConvention stop_chrono(Struct_Chrono *c);
Int     CallingConvention display_chrono(FILE *fp, Int runtime, Int framenum);

Struct_Chrono chrono[MAX_NUM_VOS];

#endif /* _CHRONO_H_ */
