/*****************************************************************************
 *
 * This software module was originally developed by
 *
 *   Ryuji Kitaura  (Sharp Corporation)
 *   Hisashi Saiga  (Sharp Corporation)
 *   Tomoko Aono    (Sharp Corporation)
 *   Hiroyuki Katata(Sharp Corporation)
 *
 * in the course of development of the MPEG-4 Video (ISO/IEC 14496-2) standard.
 * This software module is an implementation of a part of one or more MPEG-4
 * Video (ISO/IEC 14496-2) tools as specified by the MPEG-4 Video (ISO/IEC
 * 14496-2) standard.
 *
 * ISO/IEC gives users of the MPEG-4 Video (ISO/IEC 14496-2) standard free
 * license to this software module or modifications thereof for use in hardware
 * or software products claiming conformance to the MPEG-4 Video (ISO/IEC
 * 14496-2) standard.
 *
 * Those intending to use this software module in hardware or software products
 * are advised that its use may infringe existing patents. The original
 * developer of this software module and his/her company, the subsequent
 * editors and their companies, and ISO/IEC have no liability for use of this
 * software module or modifications thereof in an implementation. Copyright is
 * not released for non MPEG-4 Video (ISO/IEC 14496-2) Standard conforming
 * products.
 *
 * Sharp Corporation retains full right to use the code for his/her own
 * purpose, assign or donate the code to a third party and to inhibit third
 * parties from using the code for non MPEG-4 Video (ISO/IEC 14496-2) Standard
 * conforming products. This copyright notice must be included in all copies or
 * derivative works.
 *
 * Copyright (c) 1997
 *
 *****************************************************************************/


/* Modification 23.07.97 by F. Jaureguizar: changed the file name from  */
/*              tpsdec.h to scal_dec.h                                  */

#include <string.h>
#include "momusys.h"
#include "mom_bitstream_d.h"
#include "vm_compos.h"
#include "text_decode.h"
#include "mot_padding.h"
#include "io_generic.h"
#include "vm_dec_main.h"
#include "mom_vol.h"
#include "mom_access.h"
#include "mot_comp.h"
#include "zigzag.h"
#include "post_filter.h"
#include "mom_vo.h"
#include "combined_decode.h"
#include "vm_common_defs.h"
#include "text_quant_mat_def.h"
/* changed 10/27 for TPS */
/* #define	MBX	22
#define	MBY	18 */
/*A.Pacheco:1/04/98: global variables are not allowed*/
/* 
ok extern UChar **PRE_MB_TYPE2[MAX_NUM_VOS][MAX_NUM_VOLS]
ok extern UChar **MB_TYPE2[MAX_NUM_VOS][MAX_NUM_VOLS]
ok extern Int PRE_H_SIZE2[MAX_NUM_VOS][MAX_NUM_VOLS];
ok extern Int PRE_V_SIZE2[MAX_NUM_VOS][MAX_NUM_VOLS];
*/
/* changed 10/27 for TPS */
/*
Int	image_width;
Int	image_height;
*/
/*** 8/18 TPS */
/*Int	comp_image_counter;*/
/* 8/18 TPS ***/
/*
Vop	*back_shape_vop;
Vop	*for_shape_vop;
*/
/* for output only */
/*A.Pacheco:1/04/98*/
/*Char    comp_output_filename[4][300];*/

/*** 10/27 for TPS */
/*Int     bgc_output;*/
/* 10/27 for TPS ***/

/* changed 6/17 */
/*A.Pacheco:1/04/98: global variables are not allowed*/
/*
ok extern Int bs_vo[MAX_NUM_VOS];
ok extern Int bs_vol[MAX_NUM_VOS][MAX_NUM_VOLS];
*/
/**/

/*** 10/27 for TPS */
/* 
ok extern Vop   *base_vop_not_padding_for_bgc;
ok extern Int last_base_decoding_frame[2]; */
/*A.Pacheco:1/04/98: global variables are not allowed*/
/*
ok extern Int last_base_decoding_frame[3];
ok extern Int last_enh_decoding_frame;
ok extern Int   temporal_scalability;
ok extern Int   TPS_base_count;
*/
/*** 10/27 for TPS */
/* UChar **PRE_PRE_MB_TYPE2[MAX_NUM_VOS][MAX_NUM_VOLS];
UChar **PRE_MB_TYPE2[MAX_NUM_VOS][MAX_NUM_VOLS]; 
Int   PRE_PRE_H_SIZE2[MAX_NUM_VOS][MAX_NUM_VOLS];
Int   PRE_PRE_V_SIZE2[MAX_NUM_VOS][MAX_NUM_VOLS]; */

/*
UChar **stock_mb_type2[3][MAX_NUM_VOS][MAX_NUM_VOLS];
Int   stock_h_size2[3][MAX_NUM_VOS][MAX_NUM_VOLS];
Int   stock_v_size2[3][MAX_NUM_VOS][MAX_NUM_VOLS];
*/
/* 10/27 for TPS ***/

/* changed 6/16 */
/* #include "tpsdec.p" */ /*SpSc*/
/**/

#include "scal_dec.p" /*SpSc*/

/*** 10/27 TPS */
/*A.Pacheco:1/04/98: global variables are not allowed*/
/*extern Vop *base_output_vop[3];*/
/* 10/27 TPS ***/



