//$Log: BifsEncQP14.cpp,v $
//Revision 1.1.2.1  2000/03/09 22:22:53  Alex Cotarmanac'h
//cosmetic
//
//QP14 Stuff.
//<alexandre.cotarmanac-h@polytechnique.org>

#include "defs.h"
#include "BifsEnc.h"


void BIFSEncoder::setLengthCoord(int l) 
{ 
	if(!m_coordStore) return; // check that we can store.
	m_lengthCoord=l;
	m_coordStore=false;
}


// retrieve the number of points
int BIFSEncoder::getLengthCoord()
{
	if (m_coordActive) return m_lengthCoord;
	return -1;
}
// reset the flags
void BIFSEncoder::resetCoord()
{
	m_coordActive=false;
	m_coordStore=false;
	m_lengthCoord=-1;
}
// store in case it's used somewhere else USE CoordName
void BIFSEncoder::setIdToLength(int kId, int Length)
{
	assert(Length>0);
	m_IdToLength.InsertAt(kId, Length);
}
// retrieve stored value and set as current length.
void BIFSEncoder::setCurrentId(int kId)
{
	try{
		m_lengthCoord=m_IdToLength[kId];
		m_coordStore=false;
		assert (m_lengthCoord>0) ;
	}
	catch (ZMap<int>::NotFound)
	{
		printf("[CurrentId not Found]\n");
		assert(false);
	}
}