#ifndef _jpegdec_h
#define _jpegdec_h

/*-------------------------------------------------------------------------
Project Im1Player
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  Decoder
FILE:       JPEGDec.h
AUTHOR:     Zvi Lifshitz (VDOnet Corp.)
OVERVIEW:   Definition of JPEGDecoder (simulation)
-------------------------------------------------------------------------*/
/*#include "Decoder.h"
#include "Caps.h"*/
#include "DecoderImp.h"


class JPEGDecoder : public DecoderImp
{
public:
/*		virtual BOOL Setup (
		const BYTE *pSpecificInfo,
		int nSpecificInfoLength,
		int	nESNumber
	);*/


	virtual BOOL Decode (
		LPBYTE pInput,
		int nInputLength,
		LPBYTE pOutput,
		int &rnOutputLength
	);
//	virtual int GetDataOffset  (const LPBYTE pFrame);
	virtual DWORD GetAttributes (
		ATTRIBUTE_CODE code, 
		const LPBYTE pFrame
	);
	
	virtual int GetOptimalInputSize () ;
	virtual int GetOptimalOutputSize () ;
private :
	
	WORD m_width, m_height;
	
	
	
	
	
	
	
	virtual BOOL SetFormat (Capabilities &formatOptions,	DecoderParams &decoderParams);
	/*
	virtual int GetOptimalInputSize () ;
	virtual int GetOptimalOutputSize () ;
	virtual int GetRecommendedInputBufferSize () ;
	virtual int GetRecommendedOutputBufferSize () ;
	virtual BOOL Decode (
		LPBYTE pInput,
		int nInputLength,
		LPBYTE pOutput,
		int &rnOutputLength
	);*/

public:
	JPEGDecoder () : DecoderImp () {}
};

#endif // _jpegdec_h
