// PredictiveEncoderFactory.h: interface for the PredictiveEncoderFactory class.
//
//////////////////////////////////////////////////////////////////////
//$Log: PredictiveEncoderFactory.h,v $
//Revision 1.1  2000/03/03 18:41:22  Alex Cotarmanac'h
//Version 1 -- Alexandre Cotarmanac_h
//
//<alexandre.cotarmanac-h@polytechnique.org>
#if !defined(AFX_PREDICTIVEENCODERFACTORY_H__D11C75A3_D821_11D3_8169_525405F4A0F5__INCLUDED_)
#define AFX_PREDICTIVEENCODERFACTORY_H__D11C75A3_D821_11D3_8169_525405F4A0F5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "PredictiveEncoder.h"
#include "FldTypes.h"
class PredictiveEncoderFactory  
{
public:
	static PredictiveEncoder * Create(FIELD_TYPE fieldType,  BIFSEncoder * pBifs, Quantizer * pQuant);
};

#endif // !defined(AFX_PREDICTIVEENCODERFACTORY_H__D11C75A3_D821_11D3_8169_525405F4A0F5__INCLUDED_)
