// PredictiveEncoderMFColor.h: interface for the PredictiveEncoderMFColor class.
//
//////////////////////////////////////////////////////////////////////
//$Log: PredictiveEncoderMFColor.h,v $
//Revision 1.1  2000/03/03 18:41:22  Alex Cotarmanac'h
//Version 1 -- Alexandre Cotarmanac_h
//
//<alexandre.cotarmanac-h@polytechnique.org>
#if !defined(AFX_PREDICTIVEENCODERMFCOLOR_H__D11C75A4_D821_11D3_8169_525405F4A0F5__INCLUDED_)
#define AFX_PREDICTIVEENCODERMFCOLOR_H__D11C75A4_D821_11D3_8169_525405F4A0F5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "NatColor.h"
#include "QuantColor.h"
#include "PredictiveEncoderBase.h"


class PredictiveEncoderMFColor : public PredictiveEncoderBase<NatColor,QuantColor> 
{
public:
	PredictiveEncoderMFColor(BIFSEncoder * pBifs, Quantizer * pQuant):
		PredictiveEncoderBase<NatColor,QuantColor>(pBifs,pQuant)
		{
		}
};

#endif // !defined(AFX_PREDICTIVEENCODERMFColor_H__D11C75A4_D821_11D3_8169_525405F4A0F5__INCLUDED_)
