#ifndef _MLIST_PLUS_H_
#define _MLIST_PLUS_H_

#include "MList.h"

template <class T>
class MListPlus : public MList<T>
{
private:
	MListElement<T>* pCurrentElement;
public:

	MListPlus(bool b) :
	  MList<T>(b)
	  {}

	T* Next()
	{
		if(pCurrentElement)
		{
			pCurrentElement = pCurrentElement->next;
			if(pCurrentElement)
				return pCurrentElement->info;
		}
		return NULL;
	}

	T* Reset()
	{
		pCurrentElement = head;
		if(pCurrentElement)
			return pCurrentElement->info;
		else
			return NULL;
	}

};

#endif _MLIST_PLUS_H_

