
/*------------------------------------------------------------------------------*/
/* 										*/
/* 										*/
/*  This software module was originally developed by Ronan Boulic and Tom Molet */
/*  (EPFL-LIG) and edited by Joaquim Esmerado (EPFL-LIG) 			*/
/*  in the course of development of the MPEG-4 SNHC 				*/
/*  VM. This software module is an implementation of a part of one or more 	*/
/*  MPEG-4 SNHC VM tools as specified by the MPEG-4 SNHC VM. ISO/IEC gives 	*/
/*  users of the MPEG-4 SNHC VM free license to this software module or 	*/
/*  modifications thereof for use in hardware or software products 		*/
/*  claiming conformance to the MPEG-4 SNHC VM. Those intending to use 		*/
/*  this software module in hardware or software products are advised that 	*/
/*  its use may infringe existing patents. The original developer of this 	*/
/*  software module and his/her company, the subsequent editors and their 	*/
/*  companies, and ISO/IEC have no liability for use of this software 		*/
/*  module or modifications thereof. Copyright is not released for non 		*/
/*  MPEG-4 SNHC VM conforming products. EPFL-LIG 				*/
/*  retains full right to use the code for its own purpose, assign or 		*/
/*  donate the code to a third party and to inhibit third parties from 		*/
/*  using the code for non MPEG-4 SNHC VM conforming products. This 		*/
/*  copyright notice must be included in all copies or derivative 		*/
/*  works. Copyright (1997).  							*/


#include "scn1.h"
#include "etall.h"



BODY * bodyview, * bodtview;

PSCENE scene = NULL;


/*........................................................................*/

BODY_t *  body_insTance_creation(/*BODY_t * template_ref,*/ SCENE * scene);

/*........................................................................*/

void
sceneBodyIni( )
{
  if (!scene)
  {
    scene = scene_new("skeletonview");

    bodyview = body_insTance_creation(scene);

    body_set_orientation(bodyview, BODY_Y_UP);

    if(!body_set_right_hand(bodyview, TRUE)) exit(1);
    if(!body_set_left_hand(bodyview, TRUE)) exit(1);

  }
}


