/*****************************************************************************
* codeC.h : common global parameters codec
*
* Gabriel Antunes Abrantes
* Instituto Superior Tecnico
* January 1998
* 
****************************************************************************/

#ifndef _CODEC_H_
#define _CODEC_H_

#define FAP1                  1
#define BAP2                  2
#define FBAP3                 3

#define GROUP_MASK_SIZE		10

#define FAP_MASK_TYPE0       0
#define FAP_MASK_TYPE1       1
#define FAP_MASK_TYPE2       2
#define FAP_MASK_TYPE3       3

#define RANGE_DELTA     60
#define SEGMENT_LENGTH  16

#define DEC_ERROR			-1

#define FACE_OBJECT_START_CODE        257
#define FACE_OBJECT_END_CODE          258
#define FACE_OBJECT_PLANE_START_CODE  259

#define ARITH_TYPE		 0
#define	DCT_TYPE			 1


int  CheckGroupBegin(int);
void Dequantize(int ,float *,float);
void Predict(float ,float ,float *);
void Reconstruct(float ,float *);
#endif