/*****************************************************************************
* face.h : global parameters/function prototypes of ISTface.c & ISTOGLface.c
*
* Gabriel Antunes Abrantes
* Instituto Superior Tecnico
* October 1997
* 
*
****************************************************************************/


#ifndef _FACE_H_
#define _FACE_H_

#include <windows.h>
#include <gl\gl.h>
#include <gl\glu.h>


#define STREAM 1
#define FAP    2
#define BUFFER_SIZE 256

#define ZOOM_IN  1.50
#define ZOOM_OUT 0.75


extern HINSTANCE hInst;


void SendPaintMsg(void);
void WindowPrintf();
void ShowText(char *text);
int StopSequence();

GLvoid OGL_Initialize(HWND);
GLvoid Paint_OGL_FaceModel (void);
GLvoid ResizeViewPort(HWND hWnd, HWND statWnd);
void   GetModelSize();
void   GetDownLoadModelSize();
int    CreatePixelFormat(HDC);
int    OpenFAPForEdit(HWND);

extern DWORD  file_type;
extern char word[BUFFER_SIZE];

extern GLfloat scale_factor;
extern GLfloat defscale;

#pragma warning(disable : 4244) 

#endif
