// =====================================================
//
// File:   fileinfo.hh
// Class:  FileInfo
// Uses:   -
// 
// Author: Jrgen Ahlberg <ahlberg@isy.liu.se>
//         Dept. of Electrical Engineering
//         Linkping University
//         SE-581 83 Linkping, SWEDEN
// Date:   1998-01-12
//
// This program is distributed in the hope that it will
// be useful, but WITHOUT ANY WARRANTY.
//
// =====================================================


#ifndef FILEINFO_HH
#define FILEINFO_HH

#include "../codec.hh"


// =====================================================

class FileInfo {

public:

  // Attributes

  float version;
  char basename[100];
  int framerate;
  int nframes;

  // Copy

  FileInfo& copy(FileInfo&);
  FileInfo& copy(float, char*, int, int);

  // Input & output

  void read_ascii(FILE*);
  void write_ascii(FILE*);

};

#endif
