# define IDENT 257
# define INTGR 258
# define NUMBER 259
# define STRCONST 260
# define AOPCODE 261
# define ELSE 262
# define EXPORTS 263
# define EXTEND 264
# define GLOBAL 265
# define IF 266
# define IMPORTS 267
# define INCHANNELS 268
# define INTERP 269
# define INSTR 270
# define IOPCODE 271
# define IVAR 272
# define TABLE 273
# define KOPCODE 274
# define KRATE 275
# define KSIG 276
# define ASIG 277
# define MAP 278
# define OPARRAY 279
# define OPCODE 280
# define OUTBUS 281
# define OUTCHANNELS 282
# define OUTPUT 283
# define ROUTE 284
# define SEND 285
# define SEQUENCE 286
# define SRATE 287
# define TEMPLATE 288
# define TURNOFF 289
# define WHILE 290
# define WITH 291
# define XSIG 292
# define AND 293
# define OR 294
# define GEQ 295
# define LEQ 296
# define NEQ 297
# define EQEQ 298
# define MINUS 299
# define STAR 300
# define SPATIALIZE 301
# define SASBF 302
# define TABLEMAP 303
# define SLASH 304
# define PLUS 305
# define GT 306
# define LT 307
# define Q 308
# define COL 309
# define LP 310
# define RP 311
# define LC 312
# define RC 313
# define LB 314
# define RB 315
# define SEM 316
# define COM 317
# define EQ 318
# define RETURN 319
# define NOT 320
# define ARRAYREF 321
# define OPCALL 322
# define IMPEXP 323
# define VARDECL 324
# define NOTAG 325
# define SPECIALOP 326
# define PRESET 327
#include "saol.h"
#define YYDEBUG 1
extern sa_decoder *cur_sa;
# define UNOT 328
# define UMINUS 329
# define HIGHEST 330

#include <malloc.h>
#include <memory.h>
#include <unistd.h>
#include <values.h>

#ifdef __cplusplus

#ifndef yyerror
	void yyerror(const char *);
#endif
#ifndef yylex
	extern "C" int yylex(void);
#endif
	int yyparse(void);

#endif
#define yyclearin yychar = -1
#define yyerrok yyerrflag = 0
extern int yychar;
extern int yyerrflag;
#ifndef YYSTYPE
#define YYSTYPE int
#endif
YYSTYPE yylval;
YYSTYPE yyval;
typedef int yytabelem;
#ifndef YYMAXDEPTH
#define YYMAXDEPTH 150
#endif
#if YYMAXDEPTH > 0
int yy_yys[YYMAXDEPTH], *yys = yy_yys;
YYSTYPE yy_yyv[YYMAXDEPTH], *yyv = yy_yyv;
#else	/* user does initial allocation */
int *yys;
YYSTYPE *yyv;
#endif
static int yymaxdepth = YYMAXDEPTH;
# define YYERRCODE 256


#include "saol.yy.c"

void parse_error(char *status) {
  int i;
  char c;
  
  printf("Line %d: %s\n", yyline,status);
  printf("%s\n",thisline);
  for (i=0;i<yycol-strlen(yytext) && i < 100;i++) printf(" ");
  printf("^\n");
  cur_sa->synerror = 1;
  }

void parse_error_line(char *status,int line) {
  int i;
  char c;
  
  printf("Line %d: %s\n", line,status);
  printf("   %s\n\n",all_lines[line-1]);
  cur_sa->synerror = 1;
  }

void warn_line(char *status,int line) {
  int i;
  char c;
 
  if (line) { 
    printf("Warning: Line %d: %s\n", line,status);
    printf("   %s\n\n",all_lines[line-1]);
    }
  else printf("Warning: %s\n",status);
  }

  

void yyerror(char *foo) {}
yytabelem yyexca[] ={
-1, 0,
	0, 6,
	261, 6,
	265, 6,
	270, 6,
	271, 6,
	274, 6,
	280, 6,
	288, 6,
	-2, 0,
-1, 1,
	0, -1,
	-2, 0,
-1, 98,
	311, 143,
	317, 143,
	-2, 0,
-1, 207,
	311, 255,
	317, 255,
	-2, 0,
-1, 251,
	318, 137,
	-2, 206,
-1, 376,
	311, 255,
	317, 255,
	-2, 0,
-1, 402,
	318, 138,
	-2, 208,
-1, 403,
	318, 139,
	-2, 209,
-1, 443,
	256, 42,
	313, 42,
	317, 42,
	-2, 27,
	};
# define YYNPROD 263
# define YYLAST 1151
yytabelem yyact[]={

   220,   139,   219,   109,    36,   184,   173,    29,   311,   358,
   105,   182,   252,   251,   179,   158,   406,   246,   425,   426,
   243,   250,   237,    67,   299,   347,   239,   247,   434,   415,
   249,   299,    31,    56,   346,   303,   248,   242,   227,   240,
   299,    67,   397,   191,   168,   244,   238,   224,   443,   228,
    67,   190,   401,   189,   114,   156,    70,   241,   154,   357,
    85,   207,    71,   450,   104,   337,   157,   172,   373,   459,
   228,   405,   152,   179,   158,   245,   155,   252,   251,   179,
   158,   103,   246,   433,   414,   243,   250,   237,   395,   299,
   299,   239,   247,   393,   384,   249,   381,   152,   179,   158,
   380,   248,   242,   396,   240,   442,   135,   400,   223,   172,
   244,   238,   141,   299,   156,   151,   453,   154,   441,   173,
   156,   341,   241,   154,   440,   157,   386,   376,   372,   129,
   382,   157,   208,   207,   457,   155,   209,   206,   163,   156,
   245,   155,   154,   394,   435,   356,   140,   165,   392,   299,
   157,   383,   226,   101,   299,    67,   210,   212,   214,   432,
   155,   100,   449,   200,   201,   195,   194,   196,   197,   203,
   204,   364,   218,   171,   205,   202,   198,   199,   193,   225,
   172,   340,   129,   378,   439,   236,   385,    56,   231,   152,
   179,   158,   301,   354,   259,   261,   263,   265,   267,   269,
   271,   273,   275,   277,   279,   281,   283,   285,   164,   296,
   287,   289,   252,   251,   179,   158,   217,   246,   448,   431,
   243,   250,   237,   444,   302,   363,   239,   247,   230,   183,
   249,   156,   236,   181,   154,   298,   248,   242,   377,   240,
    30,   313,   157,    69,    67,   244,   238,   160,   353,   128,
   229,   424,   155,   422,   355,   156,   132,   241,   154,   419,
   300,   152,   148,   158,   295,   145,   157,   146,    66,   455,
    67,   216,   149,   102,   447,   245,   155,    67,   200,   201,
   195,   194,   196,   197,   203,   204,   150,   417,   180,   205,
   202,   198,   199,   193,    67,   297,   299,   428,    68,   336,
   351,   312,   349,   156,    67,   350,   154,   159,   129,   127,
   129,   423,   360,   421,   157,   361,   359,   362,    65,   418,
   335,   329,   413,   365,   155,   366,   334,   369,   411,    67,
   446,   294,   333,   370,   375,   152,   179,   158,   371,   331,
   258,   222,   167,   374,   152,   179,   158,   416,   124,   252,
   251,   179,   158,   427,   246,   122,   379,   243,   250,   237,
   120,   118,   348,   239,   247,   116,   391,   249,   286,   152,
   179,   158,   309,   248,   242,    23,   240,   156,   412,   404,
   154,   328,   244,   238,   410,   143,   156,   332,   157,   154,
   407,   293,   156,   330,   241,   154,   192,   157,   155,   420,
   257,   221,   166,   157,    91,   290,   438,   155,   123,   327,
     3,   156,   245,   155,   154,   121,   429,   111,   430,   185,
   119,   117,   157,    21,   325,   115,    22,   235,   308,   436,
   236,   236,   155,   200,   201,   195,   194,   196,   197,   203,
   204,   142,   323,   445,   205,   202,   198,   199,   193,   352,
   152,   179,   158,   236,   452,   236,    56,   454,   451,   236,
   234,    56,   458,   326,    90,   456,   252,   251,   179,   158,
   321,   246,   317,   110,   243,   250,   237,    48,   324,    20,
   239,   247,   204,   315,   249,    47,   205,   409,   138,   131,
   248,   242,   156,   240,    46,   154,   322,    44,    99,   244,
   238,    57,    84,   157,    83,   288,   152,   179,   158,   156,
    43,   241,   154,   155,   284,   152,   179,   158,    33,    55,
   157,    97,   408,   437,   320,    82,   316,    81,    28,   245,
   155,   252,   251,   179,   158,    95,   246,   314,    27,   243,
   250,   237,   137,   130,   174,   239,   247,   147,   156,   249,
   175,   154,    98,    25,    87,   248,   242,   156,   240,   157,
   154,   203,   204,    32,   244,   238,   205,   202,   157,   155,
   282,   152,   179,   158,   156,    96,   241,   154,   155,   280,
   152,   179,   158,   232,    80,   157,    79,     9,   310,    94,
   112,    78,    26,    77,   245,   155,   252,   251,   179,   158,
    76,   246,    75,   144,   243,   250,   237,    24,   368,   367,
   239,   247,    45,   156,   249,   254,   154,   339,    74,   108,
   248,   242,   156,   240,   157,   154,   319,   318,     7,   244,
   238,    37,    40,   157,   155,    38,    39,     6,    41,   156,
   125,   241,   154,   155,     5,    49,   403,   256,    74,   188,
   157,    35,    63,   233,   170,   169,    62,    52,    54,   245,
   155,    37,    64,     4,    51,    38,    39,   186,    41,   345,
     2,    53,     1,    59,    60,    61,    50,   162,    74,   278,
   152,   179,   158,   200,   201,   195,   194,   196,   197,   203,
   204,    34,    58,     0,   205,   202,   198,   199,   193,   136,
    30,     0,    42,   134,   133,   402,   200,   201,   195,   194,
   196,   197,   203,   204,   126,    74,     0,   205,   202,   198,
   199,   193,   156,   107,   106,   154,    93,    92,   344,   276,
   152,   179,   158,   157,   274,   152,   179,   158,   272,   152,
   179,   158,   255,   155,   307,   176,   179,   158,   178,    88,
    74,   270,   152,   179,   158,    73,    74,   268,   152,   179,
   158,    19,    18,   266,   152,   179,   158,    17,    16,    37,
    40,   304,   156,    38,    39,   154,    41,   156,    89,   306,
   154,   156,     0,   157,   154,     0,     0,     0,   157,    35,
     0,     0,   157,   155,   156,     0,     0,   154,   155,     0,
   156,     0,   155,   154,     0,   157,   156,     0,   338,   154,
     0,   157,     0,    72,     0,   155,     0,   157,     0,     0,
     0,   155,   264,   152,   179,   158,     0,   155,   262,   152,
   179,   158,     0,     0,   260,   152,   179,   158,     0,   187,
     0,   215,   152,   179,   158,     0,    86,   213,   152,   179,
   158,     0,     0,   211,   152,   179,   158,   305,   176,   179,
   158,   178,    37,    40,     0,   156,    38,    39,   154,    41,
     0,   156,     0,     0,   154,   153,   157,   156,   253,     0,
   154,   399,   157,     0,   156,     0,   155,   154,   157,     0,
   156,     0,   155,   154,     0,   157,   156,     0,   155,   154,
   390,   157,     0,     0,     0,   155,     0,   157,   161,     0,
     0,   155,   176,   179,   158,   178,     0,   155,   200,   201,
   195,   194,   196,   197,   203,   204,   388,     0,     0,   205,
   202,   198,   199,   193,     0,     0,   398,   200,   201,   195,
   194,   196,   197,   203,   204,   292,     0,     0,   205,   202,
   198,   199,   193,     0,     0,   389,     0,     0,     0,     0,
     0,     0,     0,   200,   201,   195,   194,   196,   197,   203,
   204,   343,     0,     0,   205,   202,   198,   199,   193,     0,
     0,   387,   200,   201,   195,   194,   196,   197,   203,   204,
     0,     0,     0,   205,   202,   198,   199,   193,     0,     0,
   291,     0,     0,     0,     0,     0,     0,     0,   200,   201,
   195,   194,   196,   197,   203,   204,   177,     0,     0,   205,
   202,   198,   199,   193,   342,   200,   201,   195,   194,   196,
   197,   203,   204,     0,     0,     0,   205,   202,   198,   199,
   193,   200,   201,   195,   194,   196,   197,   203,   204,     0,
     0,     0,   205,   202,   198,   199,   200,     0,   195,   194,
   196,   197,   203,   204,     0,     0,     0,   205,   202,   198,
   199,   195,   194,   196,   197,   203,   204,     0,     0,     0,
   205,   202,   198,   199,   195,   194,     0,     0,   203,   204,
     0,     0,     0,   205,   202,   198,   199,    63,     0,     0,
     0,    62,   177,     0,   177,    63,    37,    64,   113,    62,
    38,    39,     0,    41,    37,    64,     0,     0,    38,    39,
     0,    41,     0,    12,    37,    40,     0,    10,    38,    39,
     0,    41,     8,    14,    35,     0,    13,    58,     0,     0,
     0,     0,    15,     0,    35,     0,     0,     0,     0,     0,
    11 };
yytabelem yypact[]={

   154,-10000000,   862,-10000000,-10000000,-10000000,-10000000,-10000000,   511,   505,
   167,   119,-10000000,-10000000,-10000000,-10000000,   297,-10000000,   282,-10000000,
-10000000,-10000000,   -17,-10000000,   -17,-10000000,   497,-10000000,   389,    12,
-10000000,   -13,  -255,-10000000,   499,-10000000,-10000000,-10000000,-10000000,-10000000,
-10000000,-10000000,-10000000,-10000000,-10000000,-10000000,-10000000,-10000000,-10000000,-10000000,
   344,   335,   328,   269,   246,   590,   493,   148,   470,   279,
   265,   242,  -102,  -114,    16,  -246,-10000000,   467,  -324,-10000000,
   161,   852,-10000000,-10000000,  -260,   109,-10000000,   105,-10000000,   104,
-10000000,    99,-10000000,    92,-10000000,   458,-10000000,    -7,-10000000,-10000000,
-10000000,-10000000,   233,-10000000,    -1,-10000000,   447,-10000000,   443,-10000000,
-10000000,-10000000,   232,  -161,   -17,-10000000,-10000000,-10000000,   129,     9,
-10000000,-10000000,-10000000,-10000000,     4,-10000000,-10000000,-10000000,-10000000,-10000000,
-10000000,-10000000,-10000000,-10000000,-10000000,    -9,-10000000,-10000000,-10000000,   421,
   -17,-10000000,  -109,    86,-10000000,  -267,-10000000,   398,-10000000,  -137,
   655,   -23,-10000000,-10000000,   -29,-10000000,-10000000,   842,  -262,  -264,
  -272,   140,  -177,-10000000,  -178,   597,   591,   585,-10000000,-10000000,
-10000000,-10000000,-10000000,   -40,   -17,-10000000,    87,-10000000,    85,  -209,
-10000000,   -17,  -155,-10000000,  -268,-10000000,-10000000,-10000000,-10000000,-10000000,
   -28,-10000000,   834,-10000000,   340,-10000000,   359,   391,    84,-10000000,
-10000000,-10000000,-10000000,   578,   572,   566,   507,   501,   495,   482,
   478,   473,   423,   323,   314,   258,   112,   249,    87,   149,
-10000000,-10000000,   182,-10000000,   689,-10000000,    75,-10000000,   -47,   -21,
   732,-10000000,-10000000,   -68,-10000000,  -276,   601,-10000000,   488,   116,
-10000000,   275,-10000000,-10000000,-10000000,  -310,   -15,   227,   216,   370,
   214,   186,   168,   153,    65,    83,   131,    76,    70,    64,
    43,  -249,-10000000,   361,-10000000,  -135,-10000000,-10000000,-10000000,   715,
-10000000,   262,-10000000,   262,-10000000,   789,-10000000,   789,-10000000,   262,
-10000000,   262,-10000000,   776,-10000000,   763,-10000000,   182,-10000000,   182,
-10000000,-10000000,-10000000,-10000000,-10000000,   413,-10000000,  -277,-10000000,  -286,
-10000000,-10000000,-10000000,-10000000,-10000000,    46,-10000000,   -17,-10000000,   193,
   -63,-10000000,   732,  -133,  -247,-10000000,-10000000,-10000000,   -17,-10000000,
-10000000,    87,-10000000,-10000000,    87,-10000000,    87,-10000000,   -85,-10000000,
    87,-10000000,    87,-10000000,   352,-10000000,    87,-10000000,-10000000,-10000000,
    87,-10000000,-10000000,-10000000,-10000000,-10000000,-10000000,   112,  -188,-10000000,
-10000000,-10000000,    78,-10000000,  -183,-10000000,-10000000,-10000000,-10000000,-10000000,
   -73,   732,-10000000,-10000000,-10000000,  -160,  -182,-10000000,-10000000,  -162,
  -130,   670,   644,    87,-10000000,  -163,  -168,  -214,-10000000,   625,
  -204,   390,-10000000,-10000000,   748,-10000000,  -185,  -300,-10000000,   732,
-10000000,-10000000,   -17,   231,-10000000,-10000000,-10000000,    72,-10000000,    66,
-10000000,  -227,    31,-10000000,     3,-10000000,    87,-10000000,    -3,-10000000,
    -5,-10000000,  -183,-10000000,  -293,-10000000,-10000000,  -294,    41,-10000000,
-10000000,-10000000,-10000000,-10000000,   -97,-10000000,-10000000,-10000000,-10000000,-10000000,
  -228,-10000000,-10000000,-10000000,-10000000,-10000000,  -147,  -161,-10000000,   210,
    93,-10000000,-10000000,  -132,-10000000,  -194,  -208,   -39,-10000000,-10000000,
-10000000,  -161,    18,-10000000,   -94,  -250,-10000000,-10000000,-10000000,-10000000,
  -196,   834,   -44,-10000000,  -179,-10000000,   834,-10000000,  -244,-10000000 };
yytabelem yypgo[]={

     0,   672,   670,   663,   644,   637,   628,     7,   619,    11,
     5,   603,   587,   563,   547,   528,     1,   544,   550,   875,
   510,   497,   583,   494,   485,   477,     2,   460,   427,     0,
   518,   519,     4,   554,   501,   419,   691,   778,   260 };
yytabelem yyr1[]={

     0,     1,     2,     2,     2,     2,     2,     2,     3,     3,
     3,     3,     3,     8,     8,     8,    11,    11,     4,     4,
     4,     4,     5,     5,     6,     6,     6,     6,     6,     6,
     6,     6,     6,     6,     6,     6,     6,    16,    16,    16,
    16,    16,    16,    17,    17,    17,    18,    18,    18,    15,
    15,    20,    20,    20,    20,    20,    20,    21,    21,    21,
    21,    21,    21,    21,    21,    21,    21,    21,    21,    21,
    21,    21,    23,    23,    23,    23,    23,    24,    24,    24,
    24,    24,    24,    25,    25,    25,    25,    10,    10,    27,
    27,    27,    27,    27,    27,    27,    27,    27,    27,    27,
    27,    27,    27,    27,    27,    27,    27,    27,    27,    27,
    27,    27,    27,    27,    27,    27,    27,    27,    27,    27,
    27,    27,    27,    27,    27,    27,    27,    27,    27,    27,
    27,    27,    27,    27,    27,    27,    27,    28,    28,    28,
    28,     7,     7,     7,     7,    13,    13,    13,    13,     9,
     9,    22,    22,    22,    22,    22,    22,    22,    22,    22,
    22,    22,    22,    22,    22,    14,    14,    35,    35,    35,
    35,    35,    35,    35,    35,    35,    30,    30,    33,    33,
    33,    37,    37,    37,    37,    37,    32,    32,    32,    32,
    32,    36,    36,    34,    34,    34,    34,    34,    31,    31,
    31,    31,    12,    12,    12,    12,    29,    29,    29,    29,
    29,    29,    29,    29,    29,    29,    29,    29,    29,    29,
    29,    29,    29,    29,    29,    29,    29,    29,    29,    29,
    29,    29,    29,    29,    29,    29,    29,    29,    29,    29,
    29,    29,    29,    29,    29,    29,    29,    29,    29,    29,
    29,    29,    26,    26,    26,    26,    38,    38,    38,    38,
    38,    19,    19 };
yytabelem yyr2[]={

     0,     2,     5,     5,     5,     5,     0,     3,    21,    15,
    11,     7,     5,     5,     1,     5,     5,     3,    19,    13,
     7,     5,     9,     5,    43,    39,    33,    31,    27,    25,
    23,    19,    17,    15,    11,     9,     5,    11,     7,     1,
     9,    11,     5,     7,     3,     7,     3,     3,     3,     5,
     1,     3,     3,     3,     3,     3,     3,     7,     7,     7,
     7,     7,     7,     7,     7,     7,     7,     5,     5,     5,
     5,     5,    15,    15,    13,     9,     5,    19,    17,    13,
     9,     7,     5,    11,    11,     7,     5,     5,     1,     9,
     9,     5,     5,    15,    11,     9,     5,    23,    19,    15,
    11,     9,     5,    13,    13,    11,     7,     5,    11,    11,
     9,     5,    11,    11,     9,     5,    15,    15,    13,     9,
     7,     5,    11,    11,     9,     5,     5,     5,    11,    11,
     9,     5,     5,     5,     5,     5,     5,     3,     9,     9,
     3,     7,     3,     1,     7,     7,     3,     1,     7,     5,
     1,     9,     9,     7,     5,     7,     7,     5,     5,     5,
    13,    13,    11,     7,     5,     5,     1,     9,     9,     7,
     5,     7,     7,     5,     5,     5,     5,     5,     7,     3,
     7,     3,     9,     9,     9,     9,     3,     3,     3,     3,
     3,     3,     3,    15,    15,    11,     9,     7,     3,     3,
     5,     5,     3,     3,     3,     3,     3,     3,     9,     9,
     7,     9,     7,     9,     7,    15,    13,    11,    11,     9,
     7,     7,     7,     7,     7,     7,     7,     7,     7,     7,
     7,     7,     7,     7,     7,     7,     7,     7,     7,     7,
     7,     7,     7,     7,     7,     5,     5,     5,     5,     7,
     7,     5,     7,     7,     3,     1,     7,     7,     7,     3,
     3,     3,     3 };
yytabelem yychk[]={

-10000000,    -1,    -2,   256,    -3,    -4,    -5,    -6,   270,   -12,
   265,   288,   261,   274,   271,   280,   257,   256,   257,   256,
   312,   256,   307,   256,   310,   256,   310,   256,   -15,    -7,
   257,    -7,   -13,   -30,   -36,   292,   -32,   272,   276,   277,
   273,   279,   313,   -20,   -21,   -22,   -23,   -24,   -25,   256,
   287,   275,   268,   282,   269,   -31,   -32,   -34,   303,   284,
   285,   286,   267,   263,   273,   306,   256,   317,   311,   256,
   311,   317,   -37,   256,   257,   258,   256,   258,   256,   258,
   256,   258,   256,   258,   256,   -32,   256,   -33,   256,   -37,
   316,   256,   257,   256,   310,   256,   310,   256,   310,   256,
   263,   267,   257,   327,   310,   256,   257,   256,    -8,   327,
   312,   256,   -30,   256,   314,   316,   256,   316,   256,   316,
   256,   316,   256,   316,   256,   -33,   256,   316,   256,   317,
   310,   256,   257,   257,   256,    -7,   256,   310,   256,   -16,
   307,    -7,   312,   256,   -11,   256,   258,   -14,   258,   268,
   282,   -29,   257,   -19,   302,   320,   299,   310,   259,   316,
   256,   -37,   256,    -7,   317,   256,   316,   256,   311,   257,
   256,   310,   317,   256,   -17,   -18,   257,   -19,   260,   258,
   311,   256,    -9,   258,   -10,   -35,   -31,   -36,   -34,   315,
   315,   315,   256,   308,   296,   295,   297,   298,   306,   307,
   293,   294,   305,   299,   300,   304,   314,   310,   310,   314,
   -29,   256,   -29,   256,   -29,   256,   311,   256,    -7,   -26,
   -29,   316,   256,   317,   256,    -7,   307,   306,   317,   278,
   256,   -10,   -22,   313,   -27,   -28,   -29,   266,   290,   270,
   283,   301,   281,   264,   289,   319,   261,   271,   280,   274,
   265,   257,   256,   -36,   256,   -33,   256,   316,   256,   -29,
   256,   -29,   256,   -29,   256,   -29,   256,   -29,   256,   -29,
   256,   -29,   256,   -29,   256,   -29,   256,   -29,   256,   -29,
   256,   -29,   256,   -29,   256,   -29,   256,   -26,   256,   -26,
   256,   311,   256,   316,   256,   311,   256,   316,   256,   317,
   -38,   260,   -29,   311,   -17,   256,   -18,   256,   312,   256,
   313,   318,   316,   256,   310,   256,   310,   256,   257,   256,
   310,   256,   310,   256,   310,   256,   310,   256,   316,   256,
   310,   256,   256,   256,   256,   256,   256,   314,   -33,   256,
   316,   256,   309,   256,   315,   256,   311,   311,   316,   256,
    -7,   -29,   256,   311,   256,   317,   278,   306,   256,    -7,
   -29,   -29,   -29,   310,   256,   -26,   -26,   257,   256,   -29,
   -26,   -29,   316,   256,   -29,   256,   310,   311,   256,   -29,
   260,   256,   312,   313,   256,   316,   256,   311,   256,   311,
   256,   -26,   311,   256,   311,   256,   317,   256,   311,   256,
   311,   256,   315,   256,   -26,   256,   316,    -7,   291,   256,
   312,   256,   312,   256,   311,   256,   316,   256,   316,   256,
   -26,   316,   256,   316,   256,   311,   313,   312,   256,   -10,
   -10,   316,   256,   311,   256,   291,   -16,   313,   313,   316,
   256,   312,   313,   256,   262,   -16,   312,   256,   312,   256,
   313,    -9,   -10,   312,   -10,   313,    -9,   313,   -10,   313 };
yytabelem yydef[]={

    -2,    -2,     1,     7,     2,     3,     4,     5,     0,     0,
     0,     0,   202,   203,   204,   205,     0,    12,     0,    21,
    50,    23,   143,    36,   143,    11,   147,    20,     0,     0,
   142,     0,     0,   146,     0,   191,   192,   186,   187,   188,
   189,   190,    22,    49,    51,    52,    53,    54,    55,    56,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,   198,   199,   189,     0,    35,     0,    14,    10,
     0,     0,   176,   177,   181,     0,    67,     0,    68,     0,
    69,     0,    70,     0,    71,     0,   154,     0,   157,   179,
   158,   159,     0,   164,     0,    76,     0,    82,    -2,    86,
   200,   201,     0,    39,   143,    34,   141,   144,     0,     0,
   166,    19,   145,   148,     0,    57,    62,    58,    63,    59,
    64,    60,    65,    61,    66,     0,   153,   155,   156,     0,
   143,   163,     0,     0,    81,     0,    85,     0,   197,     0,
     0,     0,   150,     9,    13,    15,    17,    88,   261,     0,
     0,     0,   206,   207,     0,     0,     0,     0,   262,   151,
   152,   178,   180,     0,   143,    75,   255,    80,     0,     0,
   196,   143,     0,    42,     0,    44,    46,    47,    48,   261,
     0,    33,    88,    16,     0,   165,     0,     0,     0,   182,
   183,   184,   185,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,    -2,   255,     0,
   245,   246,   247,   248,     0,   251,     0,   162,     0,     0,
   254,    83,    84,     0,   195,     0,     0,    38,     0,     0,
    32,     0,   149,    18,    87,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,    -2,   140,     0,   170,     0,   173,   174,   175,     0,
   220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
   230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
   240,   241,   242,   243,   244,     0,   210,     0,   214,     0,
   212,   249,   250,   160,   161,     0,    74,   143,    79,     0,
     0,   259,   260,     0,     0,    40,    43,    45,   143,    31,
     8,     0,    91,    92,     0,    96,     0,   102,     0,   107,
   255,   111,   255,   115,     0,   121,     0,   125,   126,   127,
   255,   131,   132,   133,   134,   135,   136,     0,     0,   169,
   171,   172,     0,   219,   208,   209,   213,   211,    72,    73,
     0,   252,   253,   193,   194,     0,     0,    37,    41,     0,
     0,     0,     0,   255,   106,     0,     0,     0,   120,     0,
     0,     0,   167,   168,   217,   218,    -2,     0,    78,   256,
   257,   258,   143,     0,    30,    89,    90,     0,    95,     0,
   101,     0,     0,   110,     0,   114,   255,   119,     0,   124,
     0,   130,    -2,    -2,     0,   216,    77,     0,     0,    29,
    88,    94,    88,   100,     0,   105,   108,   109,   112,   113,
     0,   122,   123,   128,   129,   215,     0,    39,    28,     0,
     0,   103,   104,     0,   118,     0,     0,    93,    99,   116,
   117,    39,     0,    -2,     0,     0,   150,    26,    88,    98,
     0,    88,     0,   150,     0,    97,    88,    25,     0,    24 };
typedef struct
#ifdef __cplusplus
	yytoktype
#endif
{ char *t_name; int t_val; } yytoktype;
#ifndef YYDEBUG
#	define YYDEBUG	1	/* allow debugging */
#endif

#if YYDEBUG

yytoktype yytoks[] =
{
	"IDENT",	257,
	"INTGR",	258,
	"NUMBER",	259,
	"STRCONST",	260,
	"AOPCODE",	261,
	"ELSE",	262,
	"EXPORTS",	263,
	"EXTEND",	264,
	"GLOBAL",	265,
	"IF",	266,
	"IMPORTS",	267,
	"INCHANNELS",	268,
	"INTERP",	269,
	"INSTR",	270,
	"IOPCODE",	271,
	"IVAR",	272,
	"TABLE",	273,
	"KOPCODE",	274,
	"KRATE",	275,
	"KSIG",	276,
	"ASIG",	277,
	"MAP",	278,
	"OPARRAY",	279,
	"OPCODE",	280,
	"OUTBUS",	281,
	"OUTCHANNELS",	282,
	"OUTPUT",	283,
	"ROUTE",	284,
	"SEND",	285,
	"SEQUENCE",	286,
	"SRATE",	287,
	"TEMPLATE",	288,
	"TURNOFF",	289,
	"WHILE",	290,
	"WITH",	291,
	"XSIG",	292,
	"AND",	293,
	"OR",	294,
	"GEQ",	295,
	"LEQ",	296,
	"NEQ",	297,
	"EQEQ",	298,
	"MINUS",	299,
	"STAR",	300,
	"SPATIALIZE",	301,
	"SASBF",	302,
	"TABLEMAP",	303,
	"SLASH",	304,
	"PLUS",	305,
	"GT",	306,
	"LT",	307,
	"Q",	308,
	"COL",	309,
	"LP",	310,
	"RP",	311,
	"LC",	312,
	"RC",	313,
	"LB",	314,
	"RB",	315,
	"SEM",	316,
	"COM",	317,
	"EQ",	318,
	"RETURN",	319,
	"NOT",	320,
	"ARRAYREF",	321,
	"OPCALL",	322,
	"IMPEXP",	323,
	"VARDECL",	324,
	"NOTAG",	325,
	"SPECIALOP",	326,
	"PRESET",	327,
	"UNOT",	328,
	"UMINUS",	329,
	"HIGHEST",	330,
	"-unknown-",	-1	/* ends search */
};

char * yyreds[] =
{
	"-no such reduction-",
	"orcfile : proclist",
	"proclist : proclist instrdecl",
	"proclist : proclist opcodedecl",
	"proclist : proclist globaldecl",
	"proclist : proclist templatedecl",
	"proclist : /* empty */",
	"proclist : error",
	"instrdecl : INSTR IDENT LP identlist RP miditag LC vardecls block RC",
	"instrdecl : INSTR IDENT LP identlist RP miditag error",
	"instrdecl : INSTR IDENT LP identlist error",
	"instrdecl : INSTR IDENT error",
	"instrdecl : INSTR error",
	"miditag : PRESET int_list",
	"miditag : /* empty */",
	"miditag : PRESET error",
	"int_list : int_list INTGR",
	"int_list : INTGR",
	"opcodedecl : optype IDENT LP paramlist RP LC opvardecls block RC",
	"opcodedecl : optype IDENT LP paramlist RP error",
	"opcodedecl : optype IDENT error",
	"opcodedecl : optype error",
	"globaldecl : GLOBAL LC globalblock RC",
	"globaldecl : GLOBAL error",
	"templatedecl : TEMPLATE LT identlist GT PRESET mapblock LP identlist RP MAP LC identlist RC WITH LC mapblock RC LC vardecls block RC",
	"templatedecl : TEMPLATE LT identlist GT LP identlist RP MAP LC identlist RC WITH LC mapblock RC LC vardecls block RC",
	"templatedecl : TEMPLATE LT identlist GT LP identlist RP MAP LC identlist RC WITH LC mapblock RC error",
	"templatedecl : TEMPLATE LT identlist GT LP identlist RP MAP LC identlist RC WITH LC mapblock error",
	"templatedecl : TEMPLATE LT identlist GT LP identlist RP MAP LC identlist RC WITH error",
	"templatedecl : TEMPLATE LT identlist GT LP identlist RP MAP LC identlist RC error",
	"templatedecl : TEMPLATE LT identlist GT LP identlist RP MAP LC identlist error",
	"templatedecl : TEMPLATE LT identlist GT LP identlist RP MAP error",
	"templatedecl : TEMPLATE LT identlist GT LP identlist RP error",
	"templatedecl : TEMPLATE LT identlist GT LP identlist error",
	"templatedecl : TEMPLATE LT identlist GT error",
	"templatedecl : TEMPLATE LT identlist error",
	"templatedecl : TEMPLATE error",
	"mapblock : mapblock COM LT terminal_list GT",
	"mapblock : LT terminal_list GT",
	"mapblock : /* empty */",
	"mapblock : mapblock COM LT error",
	"mapblock : mapblock COM LT terminal_list error",
	"mapblock : mapblock error",
	"terminal_list : terminal_list COM terminal",
	"terminal_list : terminal",
	"terminal_list : terminal_list COM error",
	"terminal : IDENT",
	"terminal : const",
	"terminal : STRCONST",
	"globalblock : globalblock globaldef",
	"globalblock : /* empty */",
	"globaldef : rtparam",
	"globaldef : vardecl",
	"globaldef : routedef",
	"globaldef : senddef",
	"globaldef : seqdef",
	"globaldef : error",
	"rtparam : SRATE INTGR SEM",
	"rtparam : KRATE INTGR SEM",
	"rtparam : INCHANNELS INTGR SEM",
	"rtparam : OUTCHANNELS INTGR SEM",
	"rtparam : INTERP INTGR SEM",
	"rtparam : SRATE INTGR error",
	"rtparam : KRATE INTGR error",
	"rtparam : INCHANNELS INTGR error",
	"rtparam : OUTCHANNELS INTGR error",
	"rtparam : INTERP INTGR error",
	"rtparam : SRATE error",
	"rtparam : KRATE error",
	"rtparam : INCHANNELS error",
	"rtparam : OUTCHANNELS error",
	"rtparam : INTERP error",
	"routedef : ROUTE LP IDENT COM identlist RP SEM",
	"routedef : ROUTE LP IDENT COM identlist RP error",
	"routedef : ROUTE LP IDENT COM identlist error",
	"routedef : ROUTE LP IDENT error",
	"routedef : ROUTE error",
	"senddef : SEND LP IDENT SEM exprlist SEM identlist RP SEM",
	"senddef : SEND LP IDENT SEM exprlist SEM identlist error",
	"senddef : SEND LP IDENT SEM exprlist error",
	"senddef : SEND LP IDENT error",
	"senddef : SEND LP error",
	"senddef : SEND error",
	"seqdef : SEQUENCE LP identlist RP SEM",
	"seqdef : SEQUENCE LP identlist RP error",
	"seqdef : SEQUENCE LP error",
	"seqdef : SEQUENCE error",
	"block : block statement",
	"block : /* empty */",
	"statement : lvalue EQ expr SEM",
	"statement : lvalue EQ expr error",
	"statement : expr SEM",
	"statement : expr error",
	"statement : IF LP expr RP LC block RC",
	"statement : IF LP expr RP error",
	"statement : IF LP expr error",
	"statement : IF error",
	"statement : IF LP expr RP LC block RC ELSE LC block RC",
	"statement : IF LP expr RP LC block RC ELSE error",
	"statement : WHILE LP expr RP LC block RC",
	"statement : WHILE LP expr RP error",
	"statement : WHILE LP expr error",
	"statement : WHILE error",
	"statement : INSTR IDENT LP exprlist RP SEM",
	"statement : INSTR IDENT LP exprlist RP error",
	"statement : INSTR IDENT LP exprlist error",
	"statement : INSTR IDENT error",
	"statement : INSTR error",
	"statement : OUTPUT LP exprlist RP SEM",
	"statement : OUTPUT LP exprlist RP error",
	"statement : OUTPUT LP exprlist error",
	"statement : OUTPUT error",
	"statement : SPATIALIZE LP exprlist RP SEM",
	"statement : SPATIALIZE LP exprlist RP error",
	"statement : SPATIALIZE LP exprlist error",
	"statement : SPATIALIZE error",
	"statement : OUTBUS LP IDENT COM exprlist RP SEM",
	"statement : OUTBUS LP IDENT COM exprlist RP error",
	"statement : OUTBUS LP IDENT COM exprlist error",
	"statement : OUTBUS LP IDENT error",
	"statement : OUTBUS LP error",
	"statement : OUTBUS error",
	"statement : EXTEND LP expr RP SEM",
	"statement : EXTEND LP expr RP error",
	"statement : EXTEND LP expr error",
	"statement : EXTEND error",
	"statement : TURNOFF SEM",
	"statement : TURNOFF error",
	"statement : RETURN LP exprlist RP SEM",
	"statement : RETURN LP exprlist RP error",
	"statement : RETURN LP exprlist error",
	"statement : RETURN error",
	"statement : AOPCODE error",
	"statement : IOPCODE error",
	"statement : OPCODE error",
	"statement : KOPCODE error",
	"statement : GLOBAL error",
	"lvalue : IDENT",
	"lvalue : IDENT LB expr RB",
	"lvalue : IDENT LB expr error",
	"lvalue : error",
	"identlist : identlist COM IDENT",
	"identlist : IDENT",
	"identlist : /* empty */",
	"identlist : identlist COM error",
	"paramlist : paramlist COM paramdecl",
	"paramlist : paramdecl",
	"paramlist : /* empty */",
	"paramlist : paramlist COM error",
	"vardecls : vardecls vardecl",
	"vardecls : /* empty */",
	"vardecl : taglist stype namelist SEM",
	"vardecl : taglist stype namelist error",
	"vardecl : taglist stype error",
	"vardecl : taglist error",
	"vardecl : stype namelist SEM",
	"vardecl : stype namelist error",
	"vardecl : stype error",
	"vardecl : tabledecl SEM",
	"vardecl : tabledecl error",
	"vardecl : TABLEMAP IDENT LP identlist RP SEM",
	"vardecl : TABLEMAP IDENT LP identlist RP error",
	"vardecl : TABLEMAP IDENT LP identlist error",
	"vardecl : TABLEMAP IDENT error",
	"vardecl : TABLEMAP error",
	"opvardecls : opvardecls opvardecl",
	"opvardecls : /* empty */",
	"opvardecl : taglist otype namelist SEM",
	"opvardecl : taglist otype namelist error",
	"opvardecl : taglist otype error",
	"opvardecl : taglist error",
	"opvardecl : otype namelist SEM",
	"opvardecl : otype namelist error",
	"opvardecl : otype error",
	"opvardecl : tabledecl SEM",
	"opvardecl : tabledecl error",
	"paramdecl : otype name",
	"paramdecl : otype error",
	"namelist : namelist COM name",
	"namelist : name",
	"namelist : namelist COM error",
	"name : IDENT",
	"name : IDENT LB INTGR RB",
	"name : IDENT LB INCHANNELS RB",
	"name : IDENT LB OUTCHANNELS RB",
	"name : IDENT LB expr error",
	"stype : IVAR",
	"stype : KSIG",
	"stype : ASIG",
	"stype : TABLE",
	"stype : OPARRAY",
	"otype : XSIG",
	"otype : stype",
	"tabledecl : TABLE IDENT LP IDENT COM exprstrlist RP",
	"tabledecl : TABLE IDENT LP IDENT COM exprstrlist error",
	"tabledecl : TABLE IDENT LP IDENT error",
	"tabledecl : TABLE IDENT LP error",
	"tabledecl : TABLE IDENT error",
	"taglist : IMPORTS",
	"taglist : EXPORTS",
	"taglist : IMPORTS EXPORTS",
	"taglist : EXPORTS IMPORTS",
	"optype : AOPCODE",
	"optype : KOPCODE",
	"optype : IOPCODE",
	"optype : OPCODE",
	"expr : IDENT",
	"expr : const",
	"expr : IDENT LB expr RB",
	"expr : IDENT LB expr error",
	"expr : IDENT LB error",
	"expr : SASBF LP exprlist RP",
	"expr : SASBF LB error",
	"expr : IDENT LP exprlist RP",
	"expr : IDENT LP error",
	"expr : IDENT LB expr RB LP exprlist RP",
	"expr : IDENT LB expr RB LP error",
	"expr : expr Q expr COL expr",
	"expr : expr Q expr COL error",
	"expr : expr Q expr error",
	"expr : expr Q error",
	"expr : expr LEQ expr",
	"expr : expr LEQ error",
	"expr : expr GEQ expr",
	"expr : expr GEQ error",
	"expr : expr NEQ expr",
	"expr : expr NEQ error",
	"expr : expr EQEQ expr",
	"expr : expr EQEQ error",
	"expr : expr GT expr",
	"expr : expr GT error",
	"expr : expr LT expr",
	"expr : expr LT error",
	"expr : expr AND expr",
	"expr : expr AND error",
	"expr : expr OR expr",
	"expr : expr OR error",
	"expr : expr PLUS expr",
	"expr : expr PLUS error",
	"expr : expr MINUS expr",
	"expr : expr MINUS error",
	"expr : expr STAR expr",
	"expr : expr STAR error",
	"expr : expr SLASH expr",
	"expr : expr SLASH error",
	"expr : NOT expr",
	"expr : NOT error",
	"expr : MINUS expr",
	"expr : MINUS error",
	"expr : LP expr RP",
	"expr : LP expr error",
	"expr : LP error",
	"exprlist : exprlist COM expr",
	"exprlist : exprlist COM error",
	"exprlist : expr",
	"exprlist : /* empty */",
	"exprstrlist : exprstrlist COM expr",
	"exprstrlist : exprstrlist COM STRCONST",
	"exprstrlist : exprstrlist COM error",
	"exprstrlist : STRCONST",
	"exprstrlist : expr",
	"const : INTGR",
	"const : NUMBER",
};
#endif /* YYDEBUG */
/* 
 *	Copyright 1987 Silicon Graphics, Inc. - All Rights Reserved
 */

/* #ident	"@(#)yacc:yaccpar	1.10" */
#ident	"$Revision: 1.10 $"

/*
** Skeleton parser driver for yacc output
*/
#include "stddef.h"

/*
** yacc user known macros and defines
*/
#define YYERROR		goto yyerrlab
#define YYACCEPT	return(0)
#define YYABORT		return(1)
#ifdef __cplusplus
#define YYBACKUP( newtoken, newvalue )\
{\
	if ( yychar >= 0 || ( yyr2[ yytmp ] >> 1 ) != 1 )\
	{\
		yyerror( gettxt("uxlibc:78", "syntax error - cannot backup") );\
		goto yyerrlab;\
	}\
	yychar = newtoken;\
	yystate = *yyps;\
	yylval = newvalue;\
	goto yynewstate;\
}
#else
#define YYBACKUP( newtoken, newvalue )\
{\
	if ( yychar >= 0 || ( yyr2[ yytmp ] >> 1 ) != 1 )\
	{\
		yyerror( gettxt("uxlibc:78", "Syntax error - cannot backup") );\
		goto yyerrlab;\
	}\
	yychar = newtoken;\
	yystate = *yyps;\
	yylval = newvalue;\
	goto yynewstate;\
}
#endif
#define YYRECOVERING()	(!!yyerrflag)
#define YYNEW(type)	malloc(sizeof(type) * yynewmax)
#define YYCOPY(to, from, type) \
	(type *) memcpy(to, (char *) from, yynewmax * sizeof(type))
#define YYENLARGE( from, type) \
	(type *) realloc((char *) from, yynewmax * sizeof(type))
#ifndef YYDEBUG
#	define YYDEBUG	1	/* make debugging available */
#endif

/*
** user known globals
*/
int yydebug;			/* set to 1 to get debugging */

/*
** driver internal defines
*/
#define YYFLAG		(-10000000)

/*
** global variables used by the parser
*/
YYSTYPE *yypv;			/* top of value stack */
int *yyps;			/* top of state stack */

int yystate;			/* current state */
int yytmp;			/* extra var (lasts between blocks) */

int yynerrs;			/* number of errors */
int yyerrflag;			/* error recovery flag */
int yychar;			/* current input token number */



/*
** yyparse - return 0 if worked, 1 if syntax error not recovered from
*/
#if defined(__STDC__) || defined(__cplusplus)
int yyparse(void)
#else
int yyparse()
#endif
{
	register YYSTYPE *yypvt;	/* top of value stack for $vars */

	/*
	** Initialize externals - yyparse may be called more than once
	*/
	yypv = &yyv[-1];
	yyps = &yys[-1];
	yystate = 0;
	yytmp = 0;
	yynerrs = 0;
	yyerrflag = 0;
	yychar = -1;

#if YYMAXDEPTH <= 0
	if (yymaxdepth <= 0)
	{
		if ((yymaxdepth = YYEXPAND(0)) <= 0)
		{
#ifdef __cplusplus
			yyerror(gettxt("uxlibc:79", "yacc initialization error"));
#else
			yyerror(gettxt("uxlibc:79", "Yacc initialization error"));
#endif
			YYABORT;
		}
	}
#endif

	goto yystack;
	{
		register YYSTYPE *yy_pv;	/* top of value stack */
		register int *yy_ps;		/* top of state stack */
		register int yy_state;		/* current state */
		register int  yy_n;		/* internal state number info */

		/*
		** get globals into registers.
		** branch to here only if YYBACKUP was called.
		*/
	yynewstate:
		yy_pv = yypv;
		yy_ps = yyps;
		yy_state = yystate;
		goto yy_newstate;

		/*
		** get globals into registers.
		** either we just started, or we just finished a reduction
		*/
	yystack:
		yy_pv = yypv;
		yy_ps = yyps;
		yy_state = yystate;

		/*
		** top of for (;;) loop while no reductions done
		*/
	yy_stack:
		/*
		** put a state and value onto the stacks
		*/
#if YYDEBUG
		/*
		** if debugging, look up token value in list of value vs.
		** name pairs.  0 and negative (-1) are special values.
		** Note: linear search is used since time is not a real
		** consideration while debugging.
		*/
		if ( yydebug )
		{
			register int yy_i;

			printf( "State %d, token ", yy_state );
			if ( yychar == 0 )
				printf( "end-of-file\n" );
			else if ( yychar < 0 )
				printf( "-none-\n" );
			else
			{
				for ( yy_i = 0; yytoks[yy_i].t_val >= 0;
					yy_i++ )
				{
					if ( yytoks[yy_i].t_val == yychar )
						break;
				}
				printf( "%s\n", yytoks[yy_i].t_name );
			}
		}
#endif /* YYDEBUG */
		if ( ++yy_ps >= &yys[ yymaxdepth ] )	/* room on stack? */
		{
			int yynewmax;
			ptrdiff_t yys_off;

			/* The following pointer-differences are safe, since
			 * yypvt, yy_pv, and yypv all are a multiple of
			 * sizeof(YYSTYPE) bytes from yyv.
			 */
			ptrdiff_t yypvt_off = yypvt - yyv;
			ptrdiff_t yy_pv_off = yy_pv - yyv;
			ptrdiff_t yypv_off = yypv - yyv;

			int *yys_base = yys;
#ifdef YYEXPAND
			yynewmax = YYEXPAND(yymaxdepth);
#else
			yynewmax = 2 * yymaxdepth;	/* double table size */
			if (yymaxdepth == YYMAXDEPTH)	/* first time growth */
			{
				void *newyys = YYNEW(int);
				void *newyyv = YYNEW(YYSTYPE);
				if (newyys != 0 && newyyv != 0)
				{
					yys = YYCOPY(newyys, yys, int);
					yyv = YYCOPY(newyyv, yyv, YYSTYPE);
				}
				else
					yynewmax = 0;	/* failed */
			}
			else				/* not first time */
			{
				yys = YYENLARGE(yys, int);
				yyv = YYENLARGE(yyv, YYSTYPE);
				if (yys == 0 || yyv == 0)
					yynewmax = 0;	/* failed */
			}
#endif
			if (yynewmax <= yymaxdepth)	/* tables not expanded */
			{
#ifdef __cplusplus
				yyerror( gettxt("uxlibc:80", "yacc stack overflow") );
#else
				yyerror( gettxt("uxlibc:80", "Yacc stack overflow") );
#endif
				YYABORT;
			}
			yymaxdepth = yynewmax;

			/* reset pointers into yys */
			yys_off = yys - yys_base;
			yy_ps = yy_ps + yys_off;
			yyps = yyps + yys_off;

			/* reset pointers into yyv */
			yypvt = yyv + yypvt_off;
			yy_pv = yyv + yy_pv_off;
			yypv = yyv + yypv_off;
		}
		*yy_ps = yy_state;
		*++yy_pv = yyval;

		/*
		** we have a new state - find out what to do
		*/
	yy_newstate:
		if ( ( yy_n = yypact[ yy_state ] ) <= YYFLAG )
			goto yydefault;		/* simple state */
#if YYDEBUG
		/*
		** if debugging, need to mark whether new token grabbed
		*/
		yytmp = yychar < 0;
#endif
		if ( ( yychar < 0 ) && ( ( yychar = yylex() ) < 0 ) )
			yychar = 0;		/* reached EOF */
#if YYDEBUG
		if ( yydebug && yytmp )
		{
			register int yy_i;

			printf( "Received token " );
			if ( yychar == 0 )
				printf( "end-of-file\n" );
			else if ( yychar < 0 )
				printf( "-none-\n" );
			else
			{
				for ( yy_i = 0; yytoks[yy_i].t_val >= 0;
					yy_i++ )
				{
					if ( yytoks[yy_i].t_val == yychar )
						break;
				}
				printf( "%s\n", yytoks[yy_i].t_name );
			}
		}
#endif /* YYDEBUG */
		if ( ( ( yy_n += yychar ) < 0 ) || ( yy_n >= YYLAST ) )
			goto yydefault;
		if ( yychk[ yy_n = yyact[ yy_n ] ] == yychar )	/*valid shift*/
		{
			yychar = -1;
			yyval = yylval;
			yy_state = yy_n;
			if ( yyerrflag > 0 )
				yyerrflag--;
			goto yy_stack;
		}

	yydefault:
		if ( ( yy_n = yydef[ yy_state ] ) == -2 )
		{
#if YYDEBUG
			yytmp = yychar < 0;
#endif
			if ( ( yychar < 0 ) && ( ( yychar = yylex() ) < 0 ) )
				yychar = 0;		/* reached EOF */
#if YYDEBUG
			if ( yydebug && yytmp )
			{
				register int yy_i;

				printf( "Received token " );
				if ( yychar == 0 )
					printf( "end-of-file\n" );
				else if ( yychar < 0 )
					printf( "-none-\n" );
				else
				{
					for ( yy_i = 0;
						yytoks[yy_i].t_val >= 0;
						yy_i++ )
					{
						if ( yytoks[yy_i].t_val
							== yychar )
						{
							break;
						}
					}
					printf( "%s\n", yytoks[yy_i].t_name );
				}
			}
#endif /* YYDEBUG */
			/*
			** look through exception table
			*/
			{
				register int *yyxi = yyexca;

				while ( ( *yyxi != -1 ) ||
					( yyxi[1] != yy_state ) )
				{
					yyxi += 2;
				}
				while ( ( *(yyxi += 2) >= 0 ) &&
					( *yyxi != yychar ) )
					;
				if ( ( yy_n = yyxi[1] ) < 0 )
					YYACCEPT;
			}
		}

		/*
		** check for syntax error
		*/
		if ( yy_n == 0 )	/* have an error */
		{
			/* no worry about speed here! */
			switch ( yyerrflag )
			{
			case 0:		/* new error */
#ifdef __cplusplus
				yyerror( gettxt("uxlibc:81", "syntax error") );
#else
				yyerror( gettxt("uxlibc:81", "Syntax error") );
#endif
				goto skip_init;
			yyerrlab:
				/*
				** get globals into registers.
				** we have a user generated syntax type error
				*/
				yy_pv = yypv;
				yy_ps = yyps;
				yy_state = yystate;
				yynerrs++;
				/* FALLTHRU */
			skip_init:
			case 1:
			case 2:		/* incompletely recovered error */
					/* try again... */
				yyerrflag = 3;
				/*
				** find state where "error" is a legal
				** shift action
				*/
				while ( yy_ps >= yys )
				{
					yy_n = yypact[ *yy_ps ] + YYERRCODE;
					if ( yy_n >= 0 && yy_n < YYLAST &&
						yychk[yyact[yy_n]] == YYERRCODE)					{
						/*
						** simulate shift of "error"
						*/
						yy_state = yyact[ yy_n ];
						goto yy_stack;
					}
					/*
					** current state has no shift on
					** "error", pop stack
					*/
#if YYDEBUG
#	define _POP_ "Error recovery pops state %d, uncovers state %d\n"
					if ( yydebug )
						printf( _POP_, *yy_ps,
							yy_ps[-1] );
#	undef _POP_
#endif
					yy_ps--;
					yy_pv--;
				}
				/*
				** there is no state on stack with "error" as
				** a valid shift.  give up.
				*/
				YYABORT;
			case 3:		/* no shift yet; eat a token */
#if YYDEBUG
				/*
				** if debugging, look up token in list of
				** pairs.  0 and negative shouldn't occur,
				** but since timing doesn't matter when
				** debugging, it doesn't hurt to leave the
				** tests here.
				*/
				if ( yydebug )
				{
					register int yy_i;

					printf( "Error recovery discards " );
					if ( yychar == 0 )
						printf( "token end-of-file\n" );
					else if ( yychar < 0 )
						printf( "token -none-\n" );
					else
					{
						for ( yy_i = 0;
							yytoks[yy_i].t_val >= 0;
							yy_i++ )
						{
							if ( yytoks[yy_i].t_val
								== yychar )
							{
								break;
							}
						}
						printf( "token %s\n",
							yytoks[yy_i].t_name );
					}
				}
#endif /* YYDEBUG */
				if ( yychar == 0 )	/* reached EOF. quit */
					YYABORT;
				yychar = -1;
				goto yy_newstate;
			}
		}/* end if ( yy_n == 0 ) */
		/*
		** reduction by production yy_n
		** put stack tops, etc. so things right after switch
		*/
#if YYDEBUG
		/*
		** if debugging, print the string that is the user's
		** specification of the reduction which is just about
		** to be done.
		*/
		if ( yydebug )
			printf( "Reduce by (%d) \"%s\"\n",
				yy_n, yyreds[ yy_n ] );
#endif
		yytmp = yy_n;			/* value to switch over */
		yypvt = yy_pv;			/* $vars top of value stack */
		/*
		** Look in goto table for next state
		** Sorry about using yy_state here as temporary
		** register variable, but why not, if it works...
		** If yyr2[ yy_n ] doesn't have the low order bit
		** set, then there is no action to be done for
		** this reduction.  So, no saving & unsaving of
		** registers done.  The only difference between the
		** code just after the if and the body of the if is
		** the goto yy_stack in the body.  This way the test
		** can be made before the choice of what to do is needed.
		*/
		{
			/* length of production doubled with extra bit */
			register int yy_len = yyr2[ yy_n ];

			if ( !( yy_len & 01 ) )
			{
				yy_len >>= 1;
				yyval = ( yy_pv -= yy_len )[1];	/* $$ = $1 */
				yy_state = yypgo[ yy_n = yyr1[ yy_n ] ] +
					*( yy_ps -= yy_len ) + 1;
				if ( yy_state >= YYLAST ||
					yychk[ yy_state =
					yyact[ yy_state ] ] != -yy_n )
				{
					yy_state = yyact[ yypgo[ yy_n ] ];
				}
				goto yy_stack;
			}
			yy_len >>= 1;
			yyval = ( yy_pv -= yy_len )[1];	/* $$ = $1 */
			yy_state = yypgo[ yy_n = yyr1[ yy_n ] ] +
				*( yy_ps -= yy_len ) + 1;
			if ( yy_state >= YYLAST ||
				yychk[ yy_state = yyact[ yy_state ] ] != -yy_n )
			{
				yy_state = yyact[ yypgo[ yy_n ] ];
			}
		}
					/* save until reenter driver code */
		yystate = yy_state;
		yyps = yy_ps;
		yypv = yy_pv;
	}
	/*
	** code supplied by user is placed in this switch
	*/
	switch( yytmp )
	{
		
case 2:{
		      if (!cur_sa->all->il)
			 cur_sa->all->il = new_instr_list();
		      add_instr_list(cur_sa->all->il,ptr_index(yypvt[-0]));
		      printf("Read instr %s.\n",((instr_decl *)ptr_index(yypvt[-0]))->name);
		      } break;
case 3:{
		      if (!cur_sa->all->op)
		        cur_sa->all->op = new_opcode_list();
		      add_opcode_list(cur_sa->all->op,ptr_index(yypvt[-0]));
		      printf("Read opcode %s.\n",((opcode_decl *)ptr_index(yypvt[-0]))->name);
		      } break;
case 4:{
		      printf("Read global block.\n");
		      } break;
case 5:{
		      deal_with_template(cur_sa,ptr_index(yypvt[-0]));
		      } break;
case 7:{ parse_error("Expected 'global', 'opcode, 'template', or 'instr'."); } break;
case 8:{
		      instr_decl *i;

		      i = new_instr_decl(ptr_index(yypvt[-8]),ptr_index(yypvt[-6]),
		                         ptr_index(yypvt[-2]),ptr_index(yypvt[-1]),
					 ptr_index(yypvt[-4]));
		      yyval = add_ptr_index(i);
		      } break;
case 9:{ parse_error("'{' expected."); } break;
case 10:{ parse_error("')' expected."); } break;
case 11:{ parse_error("'(' expected."); } break;
case 12:{ parse_error("Instrument name expected."); } break;
case 13:{
		     yyval = yypvt[-0];
		     } break;
case 14:{
		     yyval = add_ptr_index(NULL);
		    } break;
case 15:{ parse_error("Bad preset tag."); } break;
case 16:{
		      add_terminal_list(ptr_index(yypvt[-1]),new_terminal(NUMBER,ptr_index(yypvt[-0])));
		      yyval = yypvt[-1];
		    } break;
case 17:{
		      terminal_list *tl;
		      tl = new_terminal_list(new_terminal(NUMBER,ptr_index(yypvt[-0])));
		      yyval = add_ptr_index(tl);
		    } break;
case 18:{
		      opcode_decl *o;

		      o = new_opcode_decl(ptr_index(yypvt[-7]),ptr_index(yypvt[-5]),
		                          ptr_index(yypvt[-2]),ptr_index(yypvt[-1]),
					  yypvt[-8]);
		      yyval = add_ptr_index(o);
		      } break;
case 19:{ parse_error("'{' expected."); } break;
case 20:{ parse_error("'(' expected."); } break;
case 21:{ parse_error("Opcode name expected."); } break;
case 22:{
		      if (!cur_sa->all->g) 
		         cur_sa->all->g = new_orc_global();
		      else
		         warn_line("Using multiple global blocks.",yyline);
		      sort_global_decls(cur_sa,cur_sa->all->g,ptr_index(yypvt[-1]));
		      } break;
case 23:{ parse_error("'{' expected."); } break;
case 24:{
		       template_decl *t;

		       t = new_template_decl(ptr_index(yypvt[-18]),ptr_index(yypvt[-13]),
		                             ptr_index(yypvt[-9]),ptr_index(yypvt[-5]),
					     ptr_index(yypvt[-2]),ptr_index(yypvt[-1]),
					     ptr_index(yypvt[-15]));
		       yyval = add_ptr_index(t);
		       } break;
case 25:{
		       template_decl *t;

		       t = new_template_decl(ptr_index(yypvt[-16]),ptr_index(yypvt[-13]),
		                             ptr_index(yypvt[-9]),ptr_index(yypvt[-5]),
					     ptr_index(yypvt[-2]),ptr_index(yypvt[-1]),
					     NULL);
		       yyval = add_ptr_index(t);
		       } break;
case 26:{ parse_error("'{' expected."); } break;
case 27:{ parse_error("'}' expected."); } break;
case 28:{ parse_error("'{' expected."); } break;
case 29:{ parse_error("'with' expected."); } break;
case 30:{ parse_error("'}' expected."); } break;
case 31:{ parse_error("'{' expected."); } break;
case 32:{ parse_error("'map' expected."); } break;
case 33:{ parse_error("')' expected."); } break;
case 34:{ parse_error("'(' expected."); } break;
case 35:{ parse_error("'>' expected."); } break;
case 36:{ parse_error("'<' expected."); } break;
case 37:{
		       add_mapblock(ptr_index(yypvt[-4]),ptr_index(yypvt[-1]));
		       yyval = yypvt[-4];
		       } break;
case 38:{
		       mapblock *map;

		       map = new_mapblock(ptr_index(yypvt[-1]));
		       yyval = add_ptr_index(map);
		       } break;
case 39:{ parse_error("Empty map block not allowed."); } break;
case 40:{ parse_error("Bad list in mapblock."); } break;
case 41:{ parse_error("Bad list in mapblock."); } break;
case 42:{ parse_error("',' expected."); } break;
case 43:{
		     add_terminal_list(ptr_index(yypvt[-2]),ptr_index(yypvt[-0]));
		     yyval = yypvt[-2];
		     } break;
case 44:{
		     terminal_list *tl;
		     tl = new_terminal_list(ptr_index(yypvt[-0]));
		     yyval = add_ptr_index(tl);
		     } break;
case 45:{ parse_error("Expected another value."); } break;
case 46:{
		     terminal *t;
		     t = new_terminal(IDENT,ptr_index(yypvt[-0]));
		     yyval = add_ptr_index(t);
		     } break;
case 47:{
		     terminal *t;
		     t = new_terminal(NUMBER,ptr_index(yypvt[-0]));
		     yyval = add_ptr_index(t);
		     } break;
case 48:{
		     terminal *t;
		     t = new_terminal(STRCONST, ptr_index(yypvt[-0]));
		     yyval = add_ptr_index(t);
		     } break;
case 49:{
		     add_gblock(ptr_index(yypvt[-1]),ptr_index(yypvt[-0]));
		     } break;
case 50:{
		     global_block *gb;
		     
		     gb = new_gblock();
		     yyval = add_ptr_index(gb);
		     } break;
case 51:{ yyval = yypvt[-0]; } break;
case 52:{
		      global_decl *g;
		      g = new_global(VARDECL);
		      set_global_vardecl(g,ptr_index(yypvt[-0]));
		      yyval = add_ptr_index(g);
		      } break;
case 53:{ yyval = yypvt[-0]; } break;
case 54:{ yyval = yypvt[-0]; } break;
case 55:{ yyval = yypvt[-0]; } break;
case 56:{ parse_error("Bad global declaration"); } break;
case 57:{
		     global_decl *g;

		     g = new_global(SRATE);
		     set_global_rtparam(g,atoi(ptr_index(yypvt[-1])));
		     yyval = add_ptr_index(g);
		     } break;
case 58:{
		     global_decl *g;

		     g = new_global(KRATE);
		     set_global_rtparam(g,atoi(ptr_index(yypvt[-1])));
		     yyval = add_ptr_index(g);
		     } break;
case 59:{
		     global_decl *g;

		     g = new_global(INCHANNELS);
		     set_global_rtparam(g,atoi(ptr_index(yypvt[-1])));
		     yyval = add_ptr_index(g);
		     } break;
case 60:{
		     global_decl *g;

		     g = new_global(OUTCHANNELS);
		     set_global_rtparam(g,atoi(ptr_index(yypvt[-1])));
		     yyval = add_ptr_index(g);
		     } break;
case 61:{
		     global_decl *g;

		     g = new_global(INTERP);
		     set_global_rtparam(g,atoi(ptr_index(yypvt[-1])));
		     yyval = add_ptr_index(g);
		     } break;
case 62:{ parse_error("';' expected."); } break;
case 63:{ parse_error("';' expected."); } break;
case 64:{ parse_error("';' expected."); } break;
case 65:{ parse_error("';' expected."); } break;
case 66:{ parse_error("';' expected."); } break;
case 67:{ parse_error("Sampling rate expected."); } break;
case 68:{ parse_error("Control rate expected."); } break;
case 69:{ parse_error("# input channels expected."); } break;
case 70:{ parse_error("# output channels expected."); } break;
case 71:{ parse_error("Interpolation parameter expected."); } break;
case 72:{
                     global_decl *g;
		     routedef *r;

		     r = new_routedef(ptr_index(yypvt[-4]),ptr_index(yypvt[-2]));
		     g = new_global(ROUTE);
		     set_global_routedef(g,r);
		     yyval = add_ptr_index(g);
		     } break;
case 73:{ parse_error("';' expected."); } break;
case 74:{ parse_error("')' expected."); } break;
case 75:{ parse_error("',' expected (instrument required)"); } break;
case 76:{ parse_error("'(' expected."); } break;
case 77:{
		     global_decl *g;
		     senddef *s;

		     s = new_senddef(ptr_index(yypvt[-6]),ptr_index(yypvt[-4]),
		                     ptr_index(yypvt[-2]));
		     g = new_global(SEND);
		     set_global_senddef(g,s);
		     yyval = add_ptr_index(g);
		     } break;
case 78:{ parse_error("')' expected."); } break;
case 79:{ parse_error("';' expected."); } break;
case 80:{ parse_error("';' expected."); } break;
case 81:{ parse_error("Instrument expected."); } break;
case 82:{ parse_error("'(' expected."); } break;
case 83:{
		     global_decl *g;
		     seqdef *s;
		     
		     s = new_seqdef(ptr_index(yypvt[-2]));
		     g = new_global(SEQUENCE);
		     set_global_seqdef(g,s);
		     yyval = add_ptr_index(g);
		     } break;
case 84:{ parse_error("';' expected."); } break;
case 85:{ parse_error("List of instruments expected."); } break;
case 86:{ parse_error("'(' expected."); } break;
case 87:{
		      add_block(ptr_index(yypvt[-1]),ptr_index(yypvt[-0]));
		      yyval = yypvt[-1];
		      } break;
case 88:{
		      block *b;
		      long i;

		      b = new_block();
		      i = add_ptr_index(b);
		      yyval = i;
		      } break;
case 89:{
		      statement *st;
		      long i;
		    
 		      st = new_statement(EQ,ptr_index(yypvt[-1]),NULL);
		      set_statement_lvalue(st,ptr_index(yypvt[-3]));
		      i = add_ptr_index(st);
		      yyval = i;
		      } break;
case 90:{ parse_error("';' expected."); } break;
case 91:{ /* null assign */
		      statement *st;
		      st = new_statement(EQ,ptr_index(yypvt[-1]),NULL);
		      yyval = add_ptr_index(st);
		      } break;
case 92:{ parse_error("';' expected."); } break;
case 93:{
		      statement *st;
		      long i;

		      st = new_statement(IF,ptr_index(yypvt[-4]),ptr_index(yypvt[-1]));
		      i = add_ptr_index(st);
		      yyval = i;
		      } break;
case 94:{ parse_error("'{}' required for 'if'."); } break;
case 95:{ parse_error("')' expected."); } break;
case 96:{ parse_error("'(' expected."); } break;
case 97:{
		      statement *st;
		      long i;

		      st = new_statement(ELSE,ptr_index(yypvt[-8]),ptr_index(yypvt[-5]));
		      set_statement_else(st,ptr_index(yypvt[-1]));
		      i = add_ptr_index(st);
		      yyval = i;
		      } break;
case 98:{ parse_error("'{}' required for 'else'."); } break;
case 99:{
		      statement *st;
		      long i;

		      st = new_statement(WHILE,ptr_index(yypvt[-4]),ptr_index(yypvt[-1]));
		      i = add_ptr_index(st);
		      yyval = i;
		      } break;
case 100:{ parse_error("'{}' required for 'while'."); } break;
case 101:{ parse_error("')' expected."); } break;
case 102:{  parse_error("'(' expected."); } break;
case 103:{
		      statement *st;
		      
		      st = new_statement(INSTR,NULL,NULL);
		      set_statement_iname(st,ptr_index(yypvt[-4]));
		      set_statement_params(st,ptr_index(yypvt[-2]));
		      yyval = add_ptr_index(st);
		      } break;
case 104:{ parse_error("';' expected."); } break;
case 105:{ parse_error("')' expected."); } break;
case 106:{ parse_error("'(' expected."); } break;
case 107:{ parse_error("Instrument name expected."); } break;
case 108:{
		      statement *st;
		      long i;

		      st = new_statement(OUTPUT,NULL,NULL);
		      set_statement_params(st,ptr_index(yypvt[-2]));
		      i = add_ptr_index(st);
		      yyval = i;
		      } break;
case 109:{ parse_error("';' expected."); } break;
case 110:{ parse_error("')' expected."); } break;
case 111:{ parse_error("'(' expected."); } break;
case 112:{
		      statement *st;
		      st = new_statement(SPATIALIZE, NULL, NULL);
		      set_statement_params(st,ptr_index(yypvt[-2]));
		      yyval = add_ptr_index(st);
		      } break;
case 113:{ parse_error("';' expected."); } break;
case 114:{ parse_error("')' expected."); } break;
case 115:{ parse_error("'(' expected."); } break;
case 116:{
		      statement *st;
		      long i;

      		      st = new_statement(OUTBUS,NULL,NULL);
		      set_statement_bus(st,ptr_index(yypvt[-4]));
		      set_statement_params(st,ptr_index(yypvt[-2]));
		      i = add_ptr_index(st);
		      yyval = i;
		      } break;
case 117:{ parse_error("';' expected."); } break;
case 118:{ parse_error("')' expected."); } break;
case 119:{ parse_error("',' expected."); } break;
case 120:{ parse_error("Bus name expected."); } break;
case 121:{ parse_error("'(' expected."); } break;
case 122:{
		      statement *st;
		      st = new_statement(EXTEND,ptr_index(yypvt[-2]),NULL);
		      yyval = add_ptr_index(st);
		      } break;
case 123:{ parse_error("';' expected."); } break;
case 124:{ parse_error("')' expected."); } break;
case 125:{ parse_error("'(' expected."); } break;
case 126:{
		      statement *st;
		      st = new_statement(TURNOFF,NULL,NULL);
		      yyval = add_ptr_index(st);
		      } break;
case 127:{ parse_error("';' expected."); } break;
case 128:{ 
		      statement *st;
		      long i;

		      st = new_statement(RETURN,NULL,NULL);
		      st->params = ptr_index(yypvt[-2]);
		      i = add_ptr_index(st);
		      yyval = i;
		      } break;
case 129:{ parse_error("';' expected."); } break;
case 130:{ parse_error("')' expected."); } break;
case 131:{ parse_error("'(' expected."); } break;
case 132:{ parse_error("No matching '}' for previous block"); } break;
case 133:{ parse_error("No matching '}' for previous block"); } break;
case 134:{ parse_error("No matching '}' for previous block"); } break;
case 135:{ parse_error("No matching '}' for previous block"); } break;
case 136:{ parse_error("No matching '}' for previous block"); } break;
case 137:{
		      terminal *t;
		      expr *p;

		      t = new_terminal(IDENT,ptr_index(yypvt[-0]));
		      p = new_expr(NULL,NULL,NULL,IDENT);
		      set_expr_data(p,t);
		      yyval = add_ptr_index(p);
		      } break;
case 138:{
		      terminal *t;
		      expr *p;

		      t = new_terminal(IDENT,ptr_index(yypvt[-3]));
		      p = new_expr(ptr_index(yypvt[-1]),NULL,NULL,ARRAYREF);
		      set_expr_data(p,t);
		      yyval = add_ptr_index(p);
		      } break;
case 139:{ parse_error("']' expected."); } break;
case 140:{ parse_error("Bad lvalue in expression"); } break;
case 141:{
		      name *v;
		      v = new_name(ptr_index(yypvt[-0]),1);
		      add_namelist(ptr_index(yypvt[-2]),v);
		      yyval = yypvt[-2];
		      } break;
case 142:{
		      name *v;
		      namelist *nl;

		      v = new_name(ptr_index(yypvt[-0]),1);
		      nl = new_namelist(v);
		      yyval = add_ptr_index(nl);
		      } break;
case 143:{
		      namelist *nl;

		      nl = new_namelist(NULL);
		      yyval = add_ptr_index(nl);
		      } break;
case 144:{ parse_error("Expected another identifier."); } break;
case 145:{
		      add_formalparam_list(ptr_index(yypvt[-2]),ptr_index(yypvt[-0]));
		      yyval = yypvt[-2];
		      } break;
case 146:{
		      formalparam_list *fpl;

		      fpl = new_formalparam_list();
		      add_formalparam_list(fpl,ptr_index(yypvt[-0]));
		      yyval = add_ptr_index(fpl);
		      } break;
case 147:{
		      formalparam_list *fpl;

		      fpl = new_formalparam_list();
		      yyval = add_ptr_index(fpl);
		      } break;
case 148:{ parse_error("Bad parameter in list."); } break;
case 149:{
		     add_vardecl_list(ptr_index(yypvt[-1]),ptr_index(yypvt[-0]));
		     yyval = yypvt[-1];
		     } break;
case 150:{
		     vardecl_list *vdl;

		     vdl = new_vardecl_list();
		     yyval = add_ptr_index(vdl);
		     } break;
case 151:{ 
		     vardecl *v;

		     v = new_vardecl(yypvt[-2],yypvt[-3],ptr_index(yypvt[-1]));
		     yyval = add_ptr_index(v);
		     } break;
case 152:{ parse_error("';' expected."); } break;
case 153:{ parse_error("Variable name(s) expected."); } break;
case 154:{ parse_error("Type name expected."); } break;
case 155:{
		     vardecl *v;

		     v = new_vardecl(yypvt[-2],NOTAG,ptr_index(yypvt[-1]));
		     yyval = add_ptr_index(v);
		     } break;
case 156:{ parse_error("';' expected."); } break;
case 157:{ parse_error("Variable name(s) expected."); } break;
case 158:{
		     vardecl *v;
		     v = new_vardecl(TABLE,NOTAG,NULL);
		     set_vardecl_tabledef(v,ptr_index(yypvt[-1]));
		     yyval = add_ptr_index(v);
		     } break;
case 159:{ parse_error("';' expected."); } break;
case 160:{
		     vardecl *v;
		     v = new_vardecl(TABLEMAP,NOTAG,ptr_index(yypvt[-2]));
		     v->tablemap_name =  ptr_index(yypvt[-4]);
		     yyval = add_ptr_index(v);
		     } break;
case 161:{ parse_error("';' expected."); } break;
case 162:{ parse_error("')' expected."); } break;
case 163:{ parse_error("'(' expected."); } break;
case 164:{ parse_error("Table map name expected."); } break;
case 165:{
		     add_vardecl_list(ptr_index(yypvt[-1]),ptr_index(yypvt[-0]));
		     yyval = yypvt[-1];
		     } break;
case 166:{
		     vardecl_list *vdl;

		     vdl = new_vardecl_list();
		     yyval = add_ptr_index(vdl);
		     } break;
case 167:{
                     vardecl *v;

		     v = new_vardecl(yypvt[-2],yypvt[-3],ptr_index(yypvt[-1]));
		     yyval = add_ptr_index(v);
		     } break;
case 168:{ parse_error("';' expected."); } break;
case 169:{ parse_error("Variable name(s) expected."); } break;
case 170:{ parse_error("Type name expected."); } break;
case 171:{
		     vardecl *v;
		     v = new_vardecl(yypvt[-2],NOTAG,ptr_index(yypvt[-1]));
		     yyval = add_ptr_index(v);
		     } break;
case 172:{ parse_error("';' expected."); } break;
case 173:{ parse_error("Variable name(s) expected."); } break;
case 174:{
		     vardecl *v;
		     v = new_vardecl(TABLE,NOTAG,NULL);
		     set_vardecl_tabledef(v,ptr_index(yypvt[-1]));
		     yyval = add_ptr_index(v);
		     } break;
case 175:{ parse_error("';' expected."); } break;
case 176:{
		     formalparam *fp;

		     fp = new_formalparam(yypvt[-1],ptr_index(yypvt[-0]));
		     yyval = add_ptr_index(fp);
		     } break;
case 177:{ parse_error("Parameter name expected."); } break;
case 178:{
		      add_namelist(ptr_index(yypvt[-2]),ptr_index(yypvt[-0]));
		      yyval = yypvt[-2];
		      } break;
case 179:{
		      namelist *v;
		      v = new_namelist(ptr_index(yypvt[-0]));
		      yyval = add_ptr_index(v);
		      } break;
case 180:{ parse_error("Variable name expected."); } break;
case 181:{
		      name *v;
		      v = new_name(ptr_index(yypvt[-0]),1);
		      yyval = add_ptr_index(v);
		      } break;
case 182:{
					/* add expressions here */
		      name *v;
		      v = new_name(ptr_index(yypvt[-3]),atoi(ptr_index(yypvt[-1])));
		      yyval = add_ptr_index(v);
		      } break;
case 183:{
		      name *v;
		      v = new_name(ptr_index(yypvt[-3]),-1);
		      yyval = add_ptr_index(v);
		      } break;
case 184:{
		      name *v;
		      v = new_name(ptr_index(yypvt[-3]),-2);
		      yyval = add_ptr_index(v);
		      } break;
case 185:{ parse_error("']' expected."); } break;
case 186:{ yyval = IVAR; } break;
case 187:{ yyval = KSIG; } break;
case 188:{ yyval = ASIG; } break;
case 189:{ yyval = TABLE; } break;
case 190:{ yyval = OPARRAY; } break;
case 191:{ yyval = XSIG; } break;
case 192:{ yyval = yypvt[-0]; } break;
case 193:{
		      tabledef *t;

		      t = new_tabledef(ptr_index(yypvt[-5]),ptr_index(yypvt[-3]),
		                        ptr_index(yypvt[-1]));
		      yyval = add_ptr_index(t);
		      } break;
case 194:{ parse_error("')' expected."); } break;
case 195:{ parse_error("',' expected."); } break;
case 196:{ parse_error("Table generator expected."); } break;
case 197:{ parse_error("'(' expected."); } break;
case 198:{ yyval = IMPORTS; } break;
case 199:{ yyval = EXPORTS; } break;
case 200:{ yyval = IMPEXP; } break;
case 201:{ yyval = IMPEXP; } break;
case 202:{ yyval = AOPCODE; } break;
case 203:{ yyval = KOPCODE; } break;
case 204:{ yyval = IOPCODE; } break;
case 205:{ yyval = OPCODE; } break;
case 206:{
		      expr *p;
		      terminal *t;
		      long i;

		      p = new_expr(NULL,NULL,NULL,IDENT);
		      t = new_terminal(IDENT,ptr_index(yypvt[-0]));
		      set_expr_data(p,t);
		      i = add_ptr_index(p);
		      yyval = i;
		      } break;
case 207:{
		      long i;
		      expr *p;
		      terminal *t;

		      p = new_expr(NULL,NULL,NULL,NUMBER);
		      t = new_terminal(NUMBER,ptr_index(yypvt[-0]));
		      set_expr_data(p,t);

		      i = add_ptr_index(p);
		      yyval = i;
		      } break;
case 208:{ /* array reference */
		      long i;
		      expr *p;
		      terminal *t;

		      t = new_terminal(IDENT,ptr_index(yypvt[-3]));
		      p = new_expr(ptr_index(yypvt[-1]),NULL,NULL,ARRAYREF);
		      set_expr_data(p,t);

		      i = add_ptr_index(p);
		      yyval = i;
		      } break;
case 209:{ parse_error("']' expected."); } break;
case 210:{ parse_error("Expression expected."); } break;
case 211:{ /* SASBF synthesis */
		      long i;
		      expr *p;
		      terminal *t;

		      p = new_expr(NULL,NULL,NULL,SASBF);
		      set_expr_params(p,ptr_index(yypvt[-1]));
		      i = add_ptr_index(p);
		      yyval = i;
		      } break;
case 212:{ parse_error("'sasbf' is not an opcode, and may not be used in an opcode array."); } break;
case 213:{ /* opcode call */
		      long i;
		      expr *p;
		      terminal *t;

		      t = new_terminal(IDENT,ptr_index(yypvt[-3]));
		      p = new_expr(NULL,NULL,NULL,OPCALL);
		      set_expr_params(p,ptr_index(yypvt[-1]));
		      set_expr_data(p,t);

		      i = add_ptr_index(p);
		      yyval = i;
		      } break;
case 214:{ parse_error("Expression expected."); } break;
case 215:{ /* oparray call */
		      expr *p;
                      terminal *t;

                      t = new_terminal(IDENT,ptr_index(yypvt[-6]));
		      p = new_expr(ptr_index(yypvt[-4]),NULL,NULL,OPARRAY);
		      set_expr_params(p,ptr_index(yypvt[-1]));
		      set_expr_data(p,t);
		      yyval = add_ptr_index(p);
		      } break;
case 216:{ parse_error("Expression expected."); } break;
case 217:{ /* a ? b : c */
		      long i;
		      expr *p;

		      p = new_expr(ptr_index(yypvt[-4]),ptr_index(yypvt[-2]),ptr_index(yypvt[-0]),Q);
		      i = add_ptr_index(p);
		      yyval = i;
		      } break;
case 218:{ parse_error("Expression expected."); } break;
case 219:{ parse_error("':' expected."); } break;
case 220:{ parse_error("Expression expected."); } break;
case 221:{
		      long i;
		      expr *p;

		      p = new_expr(ptr_index(yypvt[-2]),ptr_index(yypvt[-0]),NULL,LEQ);
		      i = add_ptr_index(p);
		      yyval = i;
		      } break;
case 222:{ parse_error("Expression expected."); } break;
case 223:{
		      long i;
		      expr *p;

		      p = new_expr(ptr_index(yypvt[-2]),ptr_index(yypvt[-0]),NULL,GEQ);
		      i = add_ptr_index(p);
		      yyval = i;
		      } break;
case 224:{ parse_error("Expression expected."); } break;
case 225:{
		      long i;
		      expr *p;

		      p = new_expr(ptr_index(yypvt[-2]),ptr_index(yypvt[-0]),NULL,NEQ);
		      i = add_ptr_index(p);
		      yyval = i;
		      } break;
case 226:{ parse_error("Expression expected."); } break;
case 227:{
		      long i;
		      expr *p;

		      p = new_expr(ptr_index(yypvt[-2]),ptr_index(yypvt[-0]),NULL,EQEQ);
		      i = add_ptr_index(p);
		      yyval = i;
		      } break;
case 228:{ parse_error("Expression expected."); } break;
case 229:{
		      long i;
		      expr *p;

		      p = new_expr(ptr_index(yypvt[-2]),ptr_index(yypvt[-0]),NULL,GT);
		      i = add_ptr_index(p);
		      yyval = i;
		      } break;
case 230:{ parse_error("Expression expected."); } break;
case 231:{
		      long i;
		      expr *p;

		      p = new_expr(ptr_index(yypvt[-2]),ptr_index(yypvt[-0]),NULL,LT);
		      i = add_ptr_index(p);
		      yyval = i;
		      } break;
case 232:{ parse_error("Expression expected."); } break;
case 233:{
		      long i;
		      expr *p;

		      p = new_expr(ptr_index(yypvt[-2]),ptr_index(yypvt[-0]),NULL,AND);
		      i = add_ptr_index(p);
		      yyval = i;
		      } break;
case 234:{ parse_error("Expression expected."); } break;
case 235:{
		      long i;
		      expr *p;

		      p = new_expr(ptr_index(yypvt[-2]),ptr_index(yypvt[-0]),NULL,OR);
		      i = add_ptr_index(p);
		      yyval = i;
		      } break;
case 236:{ parse_error("Expression expected."); } break;
case 237:{
		      long i;
		      expr *p;

		      p = new_expr(ptr_index(yypvt[-2]),ptr_index(yypvt[-0]),NULL,PLUS);
		      i = add_ptr_index(p);
		      yyval = i;
		      } break;
case 238:{ parse_error("Expression expected."); } break;
case 239:{
		      long i;
		      expr *p;

		      p = new_expr(ptr_index(yypvt[-2]),ptr_index(yypvt[-0]),NULL,MINUS);
		      i = add_ptr_index(p);
		      yyval = i;
		      } break;
case 240:{ parse_error("Expression expected."); } break;
case 241:{
		      long i;
		      expr *p;

		      p = new_expr(ptr_index(yypvt[-2]),ptr_index(yypvt[-0]),NULL,STAR);
		      i = add_ptr_index(p);
		      yyval = i;
		      } break;
case 242:{ parse_error("Expression expected."); } break;
case 243:{
		      long i;
		      expr *p;

		      p = new_expr(ptr_index(yypvt[-2]),ptr_index(yypvt[-0]),NULL,SLASH);
		      i = add_ptr_index(p);
		      yyval = i;
		      } break;
case 244:{ parse_error("Expression expected."); } break;
case 245:{
		      expr *p;

		      p = new_expr(ptr_index(yypvt[-0]),NULL,NULL,NOT);
		      yyval = add_ptr_index(p);
		      } break;
case 246:{ parse_error("Expression expected."); } break;
case 247:{
		      long i;
		      expr *p;

		      p = new_expr(ptr_index(yypvt[-0]),NULL,NULL,UMINUS);
		      i = add_ptr_index(p);
		      yyval = i;
		      } break;
case 248:{ parse_error("';' expected."); } break;
case 249:{
		     long i;
		     expr *p;
		     p = new_expr(ptr_index(yypvt[-1]),NULL,NULL,LP);
		     i = add_ptr_index(p);
		     yyval = i;
		     } break;
case 250:{ parse_error("')' expected."); } break;
case 251:{ parse_error("Expression expected."); } break;
case 252:{
		      add_exprlist(ptr_index(yypvt[-2]),ptr_index(yypvt[-0]));
		      yyval = yypvt[-2];
		      } break;
case 253:{ parse_error("Expression expected."); } break;
case 254:{
		      exprlist *e;
		      long i;
		      e = new_exprlist(ptr_index(yypvt[-0]));
		      i = add_ptr_index(e);
		      yyval = i;
		      } break;
case 255:{
		      exprlist *e;
		      long i;
		      e = new_exprlist(NULL);
		      i = add_ptr_index(e);
		      yyval = i;
		      } break;
case 256:{
		     add_exprlist(ptr_index(yypvt[-2]),ptr_index(yypvt[-0]));
		     yyval = yypvt[-2];
		     } break;
case 257:{
		     terminal *t;
		     expr *p;
		     t = new_terminal(STRCONST,ptr_index(yypvt[-0]));
		     p = new_expr(NULL,NULL,NULL,STRCONST);
		     set_expr_data(p,t);
		     add_ptr_index(p);
		     add_exprlist(ptr_index(yypvt[-2]),p);
		     yyval = yypvt[-2];
		     } break;
case 258:{ parse_error("Expression or string constant expected."); } break;
case 259:{
		     exprlist *e;
		     terminal *t;
		     expr *p;
		     long i;
		     t = new_terminal(STRCONST,ptr_index(yypvt[-0]));
		     p = new_expr(NULL,NULL,NULL,STRCONST);
		     set_expr_data(p,t);
		     add_ptr_index(p);
		     e = new_exprlist(p);
		     i = add_ptr_index(e);
		     yyval = i;
		     } break;
case 260:{
		     exprlist *e;
		     long i;
		     e = new_exprlist(ptr_index(yypvt[-0]));
		     i = add_ptr_index(e);
		     yyval = i;
		     } break;
case 261:{ yyval = yypvt[-0]; } break;
case 262:{ yyval = yypvt[-0]; } break;
	}
	goto yystack;		/* reset registers in driver code */
}
