// PlayListImpl.cpp: implementation of the PlayListImpl class.
//
//////////////////////////////////////////////////////////////////////

#include "defs.h"
#include "mpeg4player.h"
//#include "ProvaPlayList.h"
#include "resource.h"
#include "PlayListImpl.h"
// for the help
#include "..\Winhelp\helpids.h"
// for the dialog management
#include <cderr.h>      // includes the common dialog error codes
#include <initguid.h>
//#include "ProvaPlayList_i.c"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//extern CProvaPlayListApp theApp;


CPlayListDlg::CPlayListDlg() : CDialog(CPlayListDlg::IDD)
{
	//{{AFX_DATA_INIT(CPlayListDlg)
	m_loop = FALSE;
	//}}AFX_DATA_INIT
	m_modifiedPL = false;
	m_numberOfM4U = 0;
	m_numberOfMP4 = 0;
	// open the registry key where private data is stored
	m_hSection = NULL;
	m_currentTrack = 0;
}

CPlayListDlg::~CPlayListDlg()
{
}

void CPlayListDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPlayListDlg)
	DDX_Control(pDX, IDC_MSFLEXGRID1, m_playList);
	DDX_Check(pDX, IDC_REPEAT, m_loop);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CPlayListDlg, CDialog)
	//{{AFX_MSG_MAP(CPlayListDlg)
	ON_BN_CLICKED(IDC_BUTTON_ADD, OnButtonAdd)
	ON_BN_CLICKED(IDC_BUTTON_DEL, OnButtonDel)
	ON_BN_CLICKED(IDC_BUTTON_DOWN, OnButtonDown)
	ON_BN_CLICKED(IDC_BUTTON_UP, OnButtonUp)
	ON_BN_CLICKED(IDC_INFOS, OnInfos)
	ON_BN_CLICKED(IDC_BUTTON_SAVE, OnButtonSave)
	ON_BN_CLICKED(IDC_BUTTON_HELP, OnButtonHelp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

void CPlayListDlg::OnButtonAdd() 
{
}

void CPlayListDlg::OnButtonDel() 
{
}

void CPlayListDlg::OnButtonDown() 
{
}

void CPlayListDlg::OnButtonUp() 
{
}

void CPlayListDlg::OnInfos() 
{
}

void CPlayListDlg::OnButtonSave() 
{
}


//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

PlayListImpl::PlayListImpl()
{
}

PlayListImpl::~PlayListImpl()
{
}

void PlayListImpl::init()
{
}

/*
Return the full path of the next track increasing the pointer to the track
Return "" if there are no next tracks
*/
CString PlayListImpl::getNextTrack()
{
	return "";
}

/*
Return the full path of the previous track increasing the pointer to the track
Return "" if there are no previous tracks
*/
CString PlayListImpl::getPreviousTrack()
{
	return "";
}

/*
Return the full path of the current track without increasing the pointer to the track
If no track is currently played (for example because the playlist is empty) "" is returned
*/
CString PlayListImpl::getCurrentTrack()
{
	return "";
}

/*
Return true if there is a next track
*/
bool PlayListImpl::hasNextTrack()
{
	return false;
}

/*
Return true if there is a previous track
*/
bool PlayListImpl::hasPreviousTrack()
{
	return false;
}

void PlayListImpl::showDialog()
{
	MessageBox(NULL, "This part of code has been developed inside an internal project and cannot be released. We apologise for any inconvenience this may cause.", "Warning", MB_OK);
}

void CPlayListDlg::init(bool empty)
{
}

void CPlayListDlg::OnOK() 
{
}

void CPlayListDlg::ReadPLFromFile(char *filePath)
{
}

void CPlayListDlg::OnButtonHelp() 
{
}
