/*
* Copyright(c) Philips Consumer Electronics B.V. 1998                         
* All rights reserved. Reproduction in whole or in part is                  
* prohibited without the written consent of the copyright holder.            
*                                                                            
*  Project             : Bali
*  Module              : bali.si 
*  File name   $Logfile: $
*       Last save $Date: 2000/06/06 18:43:06 $
*             $Revision: 1.1 $
*          Last $Author: alavilli $
*  Creation Date       : 08/02/99
*  First Author        : S.A.F.A. van den Heuvel
*                        NatLab - Eindhoven
* 
*                                                                          
*  Change history      :
*  ---------------
*
* $Log: MonitorListener.java,v $
* Revision 1.1  2000/06/06 18:43:06  alavilli
* After SISF integration into the CORE4 code
*
* Revision 1.1.2.1  1999/07/09 14:16:47  depetris
* Aggiornati i file per lo sviluppo e il rilascio a MPEG-J.
* Integra la versione 2.5 del core.
*
* Revision 1.1  1999-02-08 17:50:12+01  vdheuvel
* 39 march 1999, start of archive.
* Middleware packages DAVIC API implementation.
*
*/

package bali.retrieve;
import java.util.EventListener;

/*******************
This interface is implemented by processes requiring
monitoring of DVB-SI tables.
*/
public interface MonitorListener
    extends EventListener
{
	/**************
    Indicates a monitor has detected a new version of a table.
	*/
	public void newMonitorEvent( MonitorEvent event );
}







