/*
* Copyright(c) Philips Consumer Electronics B.V. 1998                         
* All rights reserved. Reproduction in whole or in part is                  
* prohibited without the written consent of the copyright holder.            
*                                                                            
*  Project             : Bali
*  Module              : bali.si 
*  File name   $Logfile: $
*       Last save $Date: 2000/06/06 18:43:06 $
*             $Revision: 1.1 $
*          Last $Author: alavilli $
*  Creation Date       : 08/02/99
*  First Author        : S.A.F.A. van den Heuvel
*                        NatLab - Eindhoven
* 
*                                                                          
*  Change history      :
*  ---------------
*
* $Log: MonitorListenerInterfaceAdapter.java,v $
* Revision 1.1  2000/06/06 18:43:06  alavilli
* After SISF integration into the CORE4 code
*
* Revision 1.1.2.1  1999/07/09 14:16:48  depetris
* Aggiornati i file per lo sviluppo e il rilascio a MPEG-J.
* Integra la versione 2.5 del core.
*
* Revision 1.1  1999-02-08 17:51:38+01  vdheuvel
* 39 march 1999, start of archive.
* Middleware packages DAVIC API implementation.
*
*/

package bali.retrieve;
import bali.support.ListenerInterfaceAdapter;
import java.util.EventObject;
import java.util.EventListener;

/**
Adapter class for notifying MonitorListeners.
*/

class MonitorListenerInterfaceAdapter 
	implements ListenerInterfaceAdapter 
{
	MonitorListenerInterfaceAdapter( MonitorListener l )
	{
		_l = l;
	}
	
    /*******************
    Called by ActiveEventSender to send the event.
    */
	public void notifyListeners( EventObject event )
	{
		_l.newMonitorEvent( (MonitorEvent)event );
	}
	
	///////////// PRIVATE ///////////////
	private MonitorListener _l;
}








