/*
* Copyright(c) Philips Consumer Electronics B.V. 1998                         
* All rights reserved. Reproduction in whole or in part is                  
* prohibited without the written consent of the copyright holder.            
*                                                                            
*  Project             : Bali
*  Module              : bali.si 
*  File name   $Logfile: /func_test_platf2/bali/si/scheduler/TableSectionFilterData.java $
*       Last save $Date: 2000/06/06 18:43:06 $
*             $Revision: 1.1 $
*          Last $Author: alavilli $
*  Creation Date       : 28/10/98
*  First Author        : S.A.F.A. van den Heuvel
*                        NatLab - Eindhoven
* 
*                                                                          
*  Change history      :
*  ---------------
*
* $Log: NITTableSetEnhancer.java,v $
* Revision 1.1  2000/06/06 18:43:06  alavilli
* After SISF integration into the CORE4 code
*
* Revision 1.1.2.1  1999/07/09 14:16:48  depetris
* Aggiornati i file per lo sviluppo e il rilascio a MPEG-J.
* Integra la versione 2.5 del core.
*
* Revision 1.1  1998-12-11 11:46:52+01  vdheuvel
* 39 march 1999, start of archive.
* Middleware packages DAVIC API implementation.
*
 * 
 * 1     9-11-98 13:59 Vdheuvel
 * Creation
*/

package bali.retrieve;
import  bali.support.Debug;
import  bali.hw.sectfilt.HwSection;
import  bali.hw.sectfilt.HwSfListener;

/*******************
This class represents a TableSetSfEnhancer for retrieval of NIT's.
*/
 class NITTableSetEnhancer
    extends TableSetSfEnhancer
{
	/**************
	May only be called with FilterData on a complete section table format.
	*/
    NITTableSetEnhancer( HwSfListener list )
	{
        super( list );
        /*DBG*/Debug.msg(Debug.HWSF_LE, Debug.IMPL, "NITTableSetEnhancer constructor");
	}
	
	
	/****************
	*/
	boolean tablesAreEqual( HwSection sec1, HwSection sec2 )
	{
        /*DBG*/Debug.msg(Debug.HWSF_LE, Debug.IMPL, "NITTableSetEnhancer tablesAreEqual");
        return (  (sec1.table_id_extension() == sec2.table_id_extension() ) // ts_id
               );
    }
    
}







	



