/*
* Copyright(c) Philips Consumer Electronics B.V. 1998                         
* All rights reserved. Reproduction in whole or in part is                  
* prohibited without the written consent of the copyright holder.            
*                                                                            
*  Project             : Bali
*  File name   $Logfile: /func_test_platf2/bali/si/table/Program.java $
*       Last save $Date: 2000/06/06 18:43:12 $
*             $Revision: 1.1 $
*          Last $Author: alavilli $
*  Creation Date       : 28/10/98
*  First Author        : S.A.F.A. van den Heuvel
*                        NatLab - Eindhoven
* 
*                                                                          
*  Change history      :
*  ---------------
*
* $Log: Program.java,v $
* Revision 1.1  2000/06/06 18:43:12  alavilli
* After SISF integration into the CORE4 code
*
* Revision 1.1.2.1  1999/07/09 14:17:02  depetris
* Aggiornati i file per lo sviluppo e il rilascio a MPEG-J.
* Integra la versione 2.5 del core.
*
* Revision 1.1  1998-11-25 17:50:08+01  vdheuvel
* 39 march 1999, start of archive.
* Middleware packages DAVIC API implementation.
*
 * 
 * 1     9-11-98 13:59 Vdheuvel
 * Creation
*/
package bali.table;

/*********************
This class represents a part of the PAT linking PMT-PID with program numbers.
*/
public class Program
    extends FilteredSITable
{
	Program( int no, int PID, SITableInfo ti)
	{
	    super( ti );
		this._no = no;
		this._PID = PID;
	}
	
	public int getNo()
	{
		return _no;
	}
	
	public int getPID()
	{
		return _PID;
	}
	
	//////////////// PRIVATE ///////////////////////
	private int _no;
	private int _PID;
}