/*
* Copyright(c) Philips Consumer Electronics B.V. 1998                         
* All rights reserved. Reproduction in whole or in part is                  
* prohibited without the written consent of the copyright holder.            
*                                                                            
*  Project             : Bali
*  File name   $Logfile: /func_test_platf2/bali/tm/sectfilt/FilterData.java $
*       Last save $Date: 2000/06/06 18:26:18 $
*             $Revision: 1.1 $
*          Last $Author: alavilli $
*  Creation Date       : 28/10/98
*  First Author        : S.A.F.A. van den Heuvel
*                        NatLab - Eindhoven
* 
*                                                                          
*  Change history      :
*  ---------------
*
* $Log: FilterData.java,v $
* Revision 1.1  2000/06/06 18:26:18  alavilli
* After SISF integration into the CORE4 code
*
* Revision 1.1.2.1  1999/07/09 14:17:08  depetris
* Aggiornati i file per lo sviluppo e il rilascio a MPEG-J.
* Integra la versione 2.5 del core.
*
* Revision 1.2  1999-04-14 11:47:51+02  vdheuvel
* Changed simulation platform and HwSectFilt module from sommit
* to tm section filter.
*
* Revision 1.1  1998-10-31 14:32:46+01  vdheuvel
* 39 march 1999, start of archive.
* Middleware packages DAVIC API implementation.
*
 * 
 * 1     9-11-98 14:00 Vdheuvel
 * Creation
*/

package bali.tm.sectfilt;

/*********************
*/
class FilterData
{
    FilterData( int identifier, int PID, int table_id, int table_id_extension,
								 SectFiltListener listener)
    {   
        this.identifier = identifier;
        this.PID = PID;
        this.table_id = table_id;
        this.table_id_extension = table_id_extension;
        this.listener = listener;
    }
    
    int identifier;
    int index;
    int PID;
    int table_id;
    int table_id_extension;
	SectFiltListener listener;
}

