/*
* Copyright(c) Philips Consumer Electronics B.V. 1998                         
* All rights reserved. Reproduction in whole or in part is                  
* prohibited without the written consent of the copyright holder.            
*                                                                            
*  Project             : Bali
*  File name   $Logfile: $
*       Last save $Date: 2000/06/06 18:43:21 $
*             $Revision: 1.1 $
*          Last $Author: alavilli $
*  Creation Date       : 28/10/98
*  First Author        : S.A.F.A. van den Heuvel
*                        NatLab - Eindhoven
* 
*                                                                          
*  Change history      :
*  ---------------
*
* $Log: SITransportStreamDescription.java,v $
* Revision 1.1  2000/06/06 18:43:21  alavilli
* After SISF integration into the CORE4 code
*
* Revision 1.1.2.1  1999/07/09 14:17:28  depetris
* Aggiornati i file per lo sviluppo e il rilascio a MPEG-J.
* Integra la versione 2.5 del core.
*
* Revision 1.2  1999-04-15 09:53:18+02  vdheuvel
* Files changed to hook the system up to the TM demultipler and the
* TM hardware. Changes include, swapping the java.util.Date class
* for the bali.tm.Date class (to prevent using 64 bit floats). Changing
* the HW sect filt used by bali.hw.SectFilt.
*
*
*/

package org.davic.net.dvb.si;
/*DATE_NORMAL*/ import  java.util.Date;
//DATE_TM*/     import  bali.tm.Date;

/**
 * This class represents the Transport Stream Description Table (TSDT).
 * @see SIDatabase
 * @see SITransportStream
 * @since DAVIC1.3
*/

public class SITransportStreamDescription
	implements SIInformation{
// Constructor definition to indicate it is a non public constructor, not part of the API definition, required for javadoc formatting
SITransportStreamDescription() {}

/** 
 * This method implements SIInformation.retrieveDescriptors (first prototype).
 * @see SIInformation
 * @see SIInformation#retrieveDescriptors
*/
public SIIterator retrieveDescriptors(
) throws
	RetrieveFailedException
{
// actual code shall replace the following statement
return (null);
}

/** 
 * This method implements SIInformation.retrieveDescriptors (second prototype).
 * @see SIInformation
 * @see SIInformation#retrieveDescriptors
*/
public SIIterator retrieveDescriptors(
	short[] someDescriptorTags
) throws
	RetrieveFailedException
{
// actual code shall replace the following statement
return (null);
}

/** 
 * This method implements SIInformation.retrieveDescriptorTags.
 * @see SIInformation
 * @see SIInformation#retrieveDescriptorTags
*/
public short[] retrieveDescriptorTags(
) throws
	RetrieveFailedException
{
// actual code shall replace the following statement
return (null);
}

/**
 * This method implements SIInformation.getSIDatabase.
 * @see SIInformation
 * @see SIInformation#getSIDatabase
*/
public SIDatabase getSIDatabase(
)
{
// actual code shall replace the following statement
return (null);
}

/**
 * This method implements SIInformation.getUpdateTime.
 * @see SIInformation
 * @see SIInformation#getUpdateTime
*/
public Date getUpdateTime(
)
{
// actual code shall replace the following statement
return (null);
}

/**
 * This method implements SIInformation.fromActual.
 * @see SIInformation
 * @see SIInformation#fromActual
*/
public boolean fromActual(
)
{
// actual code shall replace the following statement
return (true);
}

/**
 * This method implements SIInformation.getDataSource.
 * @see SIInformation
 * @see SIInformation#getDataSource
*/
public org.davic.mpeg.TransportStream getDataSource(
)
{
// actual code shall replace the following statement
return (null);
}

}
