/*
* Copyright(c) Philips Consumer Electronics B.V. 1998
* All rights reserved. Reproduction in whole or in part is
* prohibited without the written consent of the copyright holder.
*
*  Project             : Bali
*  Module              : bali.si
*  File name   $Logfile: /func_test_platf2/bali/si/scheduler/RetrieveListener.java $
*       Last save $Date: 2000/06/06 18:43:22 $
*             $Revision: 1.1 $
*          Last $Author: alavilli $
*  Creation Date       : 7/12/98
*  First Author        : S.A.F.A. van den Heuvel
*                        NatLab - Eindhoven
*
*
*  Change history      :
*  ---------------
*
* $Log: NetworkInterfaceException.java,v $
* Revision 1.1  2000/06/06 18:43:22  alavilli
* After SISF integration into the CORE4 code
*
* Revision 1.1.2.1  1999/07/09 14:17:30  depetris
* Aggiornati i file per lo sviluppo e il rilascio a MPEG-J.
* Integra la versione 2.5 del core.
*
* Revision 1.1  1999-04-14 10:35:36+02  vdheuvel
* Creation.
*
 *
 * 1     9-11-98 13:59 Vdheuvel
 * Creation
*/


package org.davic.net.tuning;

/**
  * Base class for the NetworkInterfaceExceptions 
  */
public class NetworkInterfaceException extends java.lang.Exception 
{
  /** Default constructor for the exception
    */
  public NetworkInterfaceException() 
  {
  }



  /** Constructor for the network interface exception with a specified reason
    * @param reason the reason why the exception was raised
    */

  public NetworkInterfaceException(String reason) 
  {
    super( reason );
  }

}
