/*
* Copyright(c) Philips Consumer Electronics B.V. 1998
* All rights reserved. Reproduction in whole or in part is
* prohibited without the written consent of the copyright holder.
*
*  Project             : Bali
*  Module              : bali.si
*  File name   $Logfile: /func_test_platf2/bali/si/scheduler/RetrieveListener.java $
*       Last save $Date: 2000/06/06 18:43:23 $
*             $Revision: 1.1 $
*          Last $Author: alavilli $
*  Creation Date       : 7/12/98
*  First Author        : S.A.F.A. van den Heuvel
*                        NatLab - Eindhoven
*
*
*  Change history      :
*  ---------------
*
* $Log: StreamNotFoundException.java,v $
* Revision 1.1  2000/06/06 18:43:23  alavilli
* After SISF integration into the CORE4 code
*
* Revision 1.1.2.1  1999/07/09 14:17:33  depetris
* Aggiornati i file per lo sviluppo e il rilascio a MPEG-J.
* Integra la versione 2.5 del core.
*
* Revision 1.1  1999-04-14 10:35:38+02  vdheuvel
* Creation.
*
* After problem fix CSVS (it threw away all 'strange' files using ^M as /n.)
*/

package org.davic.net.tuning;

/** This exception is raised when a reference to a transport stream
  * from a URL can not be resolved to a transport stream, because
  * the transport stream does not exist in the database of known
  * transport streams.
  */
public class StreamNotFoundException
    extends NetworkInterfaceException
{
    /** Default constructor for the exception
    */
    public StreamNotFoundException()
    {
    }


    /** Constructor for the exception with a specified reason
    * @param reason the reason why the exception was raised
    */
    public StreamNotFoundException(String reason) 
    {
        super( reason );
    }

}
