#ifndef INCLUDED_FIELDVALUEMAKER_H
#define INCLUDED_FIELDVALUEMAKER_H

#include "IM1Interface.h"
#include "jni.h"

class FieldValueMaker
{
	public:
		static FieldValuePtr createFieldValue( JNIEnv *env, jobject val );

	private:
		FieldValuePtr doCreateFieldValue( JNIEnv *env, jobject val );
		FieldValueMaker( JNIEnv *env );
		int getFieldValueType( JNIEnv *env, jobject val );

		jclass classTypes[ MPJ_FIELDVALUE_TYPE_COUNT ];
		static FieldValueMaker* s_self;
};

#endif
