/***********************************************************************
This software module was originally developed by Zvi Lifshitz
(Triton R&D Ltd.) in the course of development of the MPEG-4 Systems
(ISO/IEC 14496-1) standard. This software module is an implementation of
a part of one or more MPEG-4 Systems (ISO/IEC 14496-1) tools as
specified by the MPEG-4 Systems (ISO/IEC 14496-1) standard. ISO/IEC
gives users of the MPEG-4 Systems (ISO/IEC 14496-1) free license to
this software module or modifications thereof for use in hardware or
software products claiming conformance to the MPEG-4 Systems (ISO/IEC
14496-1). Those intending to use this software module in hardware or
software products are advised that its use may infringe existing patents.
The original developer of this software module and his/her company, the
subsequent editors and their companies, and ISO/IEC have no liability
for use of this software module or modifications thereof in an
implementation. Copyright is not released for non MPEG-4 Systems
(ISO/IEC 14496-1) conforming products. Triton R&D Ltd. retains full right
to use the code for his/her own purpose, assign or donate the code to a
third party and to inhibit third parties from using the code for non
MPEG-4 Systems (ISO/IEC 14496-1) conforming products. This copyright
notice must be included in all copies or derivative works.
Copyright  1999.
************************************************************************/
import org.iso.mpeg.mpegj.scene.*;

public class MyMFStringFieldValue implements MFStringFieldValue
{
	MySFStringFieldValue[] m_value;
	
	MyMFStringFieldValue(MySFStringFieldValue[] value) {
		System.out.println("length..." + value.length);
		m_value = new MySFStringFieldValue[value.length];
		for(int i=0; i < value.length; i++) 
		{
			m_value[i] = new MySFStringFieldValue(value[i].getSFStringValue());
		}
		System.out.println(m_value[0].getSFStringValue());
	}
	
	public SFStringFieldValue[] getMFStringValue()
	{
	    return (SFStringFieldValue[])m_value;
	}
}
