/********************************************************************
 This software module was originally developed by Roberto Becchini
 (SIA - I - SOMMIT Consortium), Barbara Silano (SIA - I - SOMMIT 
Consortium) and edited by Luca Deri (Finsiel - I - SOMMIT Consortium),
 Gianluca De Petris (CSELT - I - SOMMIT Consortium) in the course of 
development of the MPEG-4 Systems (ISO/IEC 14496-1). This software 
module is an implementation of part of one or more MPEG-4 Systems 
(ISO/IEC 14496-1) tools as specified by the MPEG-4 Systems (ISO/IEC 
14496-1). ISO/IEC gives users of the MPEG-4 Systems (ISO/IEC 14496-1) 
free license to this software module or modifications thereof for use 
in hardware or software products claiming conformance to the MPEG-4 
Systems (ISO/IEC 14496-1). Those intending to use this software 
module in hardware or software products are advised that its use may 
infringe existing patents. THE ORIGINAL DEVELOPER OF THIS SOFTWARE 
MODULE AND HIS/HER COMPANY, THE SUBSEQUENT EDITORS AND THEIR 
COMPANIES, AND ISO/IEC HAVE NO LIABILITY FOR USE OF THIS SOFTWARE 
MODULE OR MODIFICATIONS THEREOF. No license to this software module 
is granted for non MPEG-4 Systems (ISO/IEC 14496-1) conforming 
products. The SOMMIT Consortium retains full right to use the 
software module for his/her own purpose, assign or donate the 
software module to a third party and to inhibit third parties from 
using the code for non MPEG-4 Systems (ISO/IEC 14496-1) conforming 
products. This copyright notice must be included in all copies or 
derivative works of the software module. Copyright 1999
********************************************************************/

import javax.swing.*;



public class QosMetrics{ 
	public QosMetrics(){
		maxDelay = new JLabel("Max delay: ");
		avgDelay = new JLabel("Average delay: ");
		priority = new JLabel("Priority: ");
		lossProb = new JLabel("Loss probability: ");
		maxGapLoss = new JLabel("Max gap loss: ");
		maxAuSize = new JLabel("Max AU size: ");
		maxAuRate = new JLabel("Max AU rate: ");
		avgAuSize = new JLabel("Average AU size: ");

		maxDelayValue = new StringBuffer("100");
		avgDelayValue = new StringBuffer("80");
		priorityValue = new StringBuffer("5");
		lossProbValue = new StringBuffer("0.05");
		maxGapLossValue = new StringBuffer("3");
		maxAuSizeValue = new StringBuffer("512");
		maxAuRateValue = new StringBuffer("500");
		avgAuSizeValue = new StringBuffer("512");
	}

	public JLabel maxDelay;
	public StringBuffer maxDelayValue; //expressed in microseconds (see ISO/IEC CD 14496-6)

	public JLabel avgDelay;
	public StringBuffer avgDelayValue;

	public JLabel priority;
	public StringBuffer priorityValue;

	public JLabel lossProb;
	public StringBuffer lossProbValue;

	public JLabel maxGapLoss;
	public StringBuffer maxGapLossValue;

	public JLabel maxAuSize;
	public StringBuffer maxAuSizeValue;

	public JLabel maxAuRate;
	public StringBuffer maxAuRateValue;

	public JLabel avgAuSize;
	public StringBuffer avgAuSizeValue;
}