/* G723 Decoder DLL: main file */


#include "typedef2.h"
#include "cst2.h"
#include "decod2.h"
#include "deccng2.h"

enum Crate WrkRate;
 

/* exported function */

/* Initialization */

void G723InitDec(void)
{
	Init_Decod();
	Init_Dec_Cng();
}

/* Decoder */

int G723Dec(char *OutBuffer, char *InBuffer)
{
	FLOAT m_pOutput[Frame];
	int nRetval;
	int i;
	short *s_OutBuffer;

	nRetval = Decod(m_pOutput, InBuffer, 0);

	if (nRetval)

		/* Double to short conversion */

		s_OutBuffer = (short *)OutBuffer;

		for (i = 0; i < Frame; i++)
		{
			if (m_pOutput[i] < (FLOAT)-32767.5)
				s_OutBuffer[i] = -32768L;
			else if (m_pOutput[i] > (FLOAT)32766.5)
				s_OutBuffer[i] = 32767;
			else
			{
				if (m_pOutput[i] < 0)
					s_OutBuffer[i] = (short) (m_pOutput[i]-(FLOAT)0.5);
				else
					s_OutBuffer[i] = (short) (m_pOutput[i]+(FLOAT)0.5);
			}
		}

	return nRetval; 
}
