/*
 * $RCSfile: ring.h,v $		$Author: mleditsc $
 * $Revision: 1.1 $		$Date: 2000/01/24 05:38:09 $ 
 * $Locker:  $      
 */

/******************************************************************************/
/*                                                                            */
/* Copyright (C) 1990,1991,1992,1993,1994,1995,1996,1997  FRANCE TELECOM/CNET */
/* All Rights Reserved.                                                       */
/*                                                                            */
/* CNET DSE/SGV  -   Fiche d'etude STC 95-17                                  */
/*                                                                            */
/******************************************************************************/

/******************************************************************************/
/* CREATED BY :   -- 29-Dec-1997                                     */
/******************************************************************************/

/***********/
/* HISTORY */
/***********/
/*
 * $Log: ring.h,v $
 * Revision 1.1  2000/01/24 05:38:09  mleditsc
 * *** empty log message ***
 *
 * Revision 1.2  2000/01/19 03:09:02  mleditsc
 * Fixed up a problem with lines ending with CR CR LF
 *
 * Revision 1.1.1.1  2000/01/13 06:05:54  mleditsc
 * Import of 3D player 990924 2.55
 *
 *
 */

/******************************************************************************/
#ifndef _RING_H_
#define _RING_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include "momusys.h"
#include "mom_image.h"

void    CallingConvention raz_ring(void);
void    CallingConvention init_ring(int i);
void    CallingConvention free_ring(void);
Image   * CallingConvention get_picture(int size_x, int size_y, ImageType type, Int qcif);
void    CallingConvention release_picture(int i, int x, int y, ImageType type, Int qcif);
Int     * CallingConvention Get_DC_store(void);

#if 0
void    CallingConvention DirtyTrick(Vop *v);
#endif


/*#include "ring.p"*/

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _RING_H_ */
