#include "PCMClass.H"

#include "defs.h"
#include "DecoderImp.h"
#include "MediaStream.h"
#include "math.h"

/*******************************************************************************
the entry point to the decoder DLL
*******************************************************************************/

void * CreateInstance()
{
  return new PCMClass;
}

/*******************************************************************************
*******************************************************************************/

/* virtual */
bool PCMClass::Init()
{
//  Init_Decod();
//  Init_Dec_Cng();
	m_firstDecode = TRUE;
	count=0;
	framelength = 480;
	nOfAUs = 2;
  return TRUE;
}

/* virtual */
/*
void PCMClass::Run()
{
  Init();

  SetThreadPriority(GetCurrentThread(), THREAD_PRIORITY_ABOVE_NORMAL);
  LPBYTE pInData, pOutData;
	int nInSize, nOutSize;
	DWORD dwTime;
	// RiiC
	BOOL bEOU;

	BOOL temp = TRUE;
//	char pTemp[480]; 
//	int NofAUs;
	count=0;
	framelength = 1324;
	nOfAUs = 6;

#pragma warn("mess here")
	//SetThreadPriority (GetCurrentThread(), THREAD_PRIORITY_ABOVE_NORMAL);
	while (
		(pInData =
				(LPBYTE) GetInputStream() -> FetchNext (nInSize, dwTime, bEOU, TRUE)
		) !=
		END_OF_STREAM
	)
	{

	if(m_firstDecode == TRUE){
		m_firstDecode = FALSE;
		count=0;
		int srate=0;
		memcpy(&srate,pInData,4);
		framelength = 2.0 * ceil(0.03 * srate);
		nOfAUs = ceil(framelength/254.0);
	}


//		nOutSize = GetOptimalOutputSize (),
		if(count == 0) {
			nOutSize = GetOptimalOutputSize (),
			pOutData =
				(LPBYTE) GetOutputStream () -> Allocate (nOutSize, TRUE, FALSE);
			if (pOutData == NULL)
				throw;
			if (pOutData == END_OF_STREAM)
			{	GetInputStream () -> Terminate ();
				return;
			}
		}

		temp = FALSE;
		while (!temp)
		{	

			temp = Decode(pInData, nInSize, pOutData+(254*count), nOutSize);	
			if(!temp) {
				pOutData =
					(LPBYTE) GetOutputStream () -> Reallocate (nOutSize);
				if (pOutData == NULL)
					throw;
				if (pOutData == END_OF_STREAM)
				{	GetInputStream () -> Terminate ();
					return;
				}
			}

		}
			

		if(count == nOfAUs-1) {
		//	GetOutputStream () -> Dispatch (nOutSize, m_nSamples++ * 30);
			GetOutputStream () -> Dispatch (nOutSize, dwTime);
			count = 0;
		}
		else
			count++;


//			GetOutputStream () -> Dispatch (nOutSize, m_nSamples++ * (int)((nOutSize/480)*(30))); 
		GetInputStream () -> Release (TRUE);

	} // while pInput != EN_OF_STREAM

	if(count != 0) {
	//	GetOutputStream () -> Dispatch (nOutSize, m_nSamples++ * 30);
		GetOutputStream () -> Dispatch (nOutSize, dwTime);			
	}

//	GetOutputStream () -> Close ();
}
*/

void PCMClass::Run()
{
  Init();

  SetThreadPriority(GetCurrentThread(), THREAD_PRIORITY_ABOVE_NORMAL);
  DecoderImp::Run();
}

/* virtual */
BOOL PCMClass :: Decode (
		LPBYTE pInput,
		int nInputLength,
		LPBYTE pOutput,
		int &rnOutputLength
)
{
	//	COMPLAIN("copy input to output");

	
	int i=0;


	if (rnOutputLength < GetOptimalOutputSize ())
	{	rnOutputLength = GetOptimalOutputSize ();
		return FALSE;
	}


//	memset(pOutput,480,0);



	
/*
for(i=0;i<240;){

//	LPBYTE temp;
		
	pOutput[i*2] = pInput[i];
	pOutput[i*2+1] = pInput[i+1];

	pOutput[i*2 + 2] = pInput[i];
	pOutput[i*2 + 3] = pInput[i+1];
	
	i += 2;

}
*/

for(;i<nInputLength;i++){
//	LPBYTE temp;
	pOutput[i] = pInput[i];
}
/*
for(i=255;i<480;){

//	LPBYTE temp;
	pOutput[i] = pInput[i];
	i++;
}
*/

/*
for(i=226;i<480;){

//	LPBYTE temp;
		
	pOutput[i] = (short)0;
	i++;
	i++;
}
*/


/*
for(i=0;i<240;){
	pOutput[i] = 0;
	i++;
}
*/


//	memcpy (pOutput, pInput+1, 480);
//	memcpy (pOutput, pInput+1, 480);


//	memcpy (pOutput, pInput, 480);
//	memset(pOutput,480,0);
//	rnOutputLength = GetOptimalOutputSize ();
	rnOutputLength = framelength;
//	rnOutputLength = nInputLength;
	return TRUE;
}


// riitta 060399

/*-----------------------------------------------------------------
Find a compatible format and initialize the decoder
-----------------------------------------------------------------*/
BOOL PCMClass :: SetFormat (
	Capabilities &formatOptions,
	DecoderParams &decoderParams
)
{
	int i;

	for (i = 0; i < formatOptions.GetFormatCapabilityLength (); i++)
		if (formatOptions.GetFormatCapability (i) == MediaFormat :: PCM)
		{	
			decoderParams.m_nStreamNumber = 0;
			decoderParams.m_format = MediaFormat (MediaFormat :: PCM);
			decoderParams.m_nOptimalAUSize = GetOptimalOutputSize();
			decoderParams.m_nDBSize = 256;
			decoderParams.m_nCBSize = 960;
			decoderParams.m_bRequiresFullAUs = TRUE;
// riitta 060399			INITdec (PCM_53);
			return TRUE;
		}
	return FALSE;
}

int PCMClass::GetOptimalOutputSize()
{
	return framelength;
}
