//$Log$
//<alexandre.cotarmanac-h@polytechnique.org>
// modified: Boris Felts boris.felts@polytechnique.org

#include "defs.h"

//#ifdef PREDICTIVE  //BF
#include "BifsDec.h"

// store the number of points
void BIFSDecoder::setLengthCoord(int l) {
	if(!m_coordStore) return; // check that we can store.
//		printf("[QP14] Storing %d fields\n",l);
	m_lengthCoord=l;
	m_coordStore=false;
}
// retrieve the number of points
int BIFSDecoder::getLengthCoord(){
	if (m_coordActive) return m_lengthCoord;
	return -1;
}
// reset the flags
void BIFSDecoder::resetCoord(){
	m_coordActive=false;
	m_coordStore=false;
	m_lengthCoord=-1;
}
// store in case it's used somewhere else USE CoordName
void BIFSDecoder::setIdToLength(int kId, int Length)
{
	assert(Length>0);
	m_IdToLength.InsertAt(kId, Length);
}
// retrieve stored value and set as current length.
void BIFSDecoder::setCurrentId(int kId)
{
	try{
		m_lengthCoord=m_IdToLength[kId];
		m_coordStore=false;
		assert (m_lengthCoord>0) ;
	}
	catch (ZMap<int>::NotFound)
	{
		printf("[CurrentId not Found]\n");
		assert(false);
	}
}

//#endif	// PREDICTIVE //BF