/*------------------------------------------
File: MP4Enc.h
Author: Jean Le Feuvre, E-Vue Inc, March 2000

Content: the movie writer
------------------------------------------*/

#if !defined(AFX_MP4ENC_H__F9CD9041_ED0E_11D3_BB2A_9E7C3C710211__INCLUDED_)
#define AFX_MP4ENC_H__F9CD9041_ED0E_11D3_BB2A_9E7C3C710211__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ztl.h"
#include "odMp4.h"
#include "ODEnc.h"
#include "MP4Defs.h"


class MP4Enc  
{
public:
	MP4Enc(LPCSTR stMP4Name); 
	virtual ~MP4Enc();
	void Start (FILE *fList, int flags);

private:
	BOOL NewMovie(InitialObjectDescriptor *pIODescr);

	char *m_stMP4Movie;

	MP4Movie m_pMovie;

	u32 m_IODOdID;
	u32 m_IODBifsID;
};

#endif // !defined(AFX_MP4ENC_H__F9CD9041_ED0E_11D3_BB2A_9E7C3C710211__INCLUDED_)
