// PredictiveEncoderMFNormal.h: interface for the PredictiveEncoderMFNormal class.
//
//////////////////////////////////////////////////////////////////////
//$Log: PredictiveEncoderMFNormal.h,v $
//Revision 1.1  2000/03/03 18:41:22  Alex Cotarmanac'h
//Version 1 -- Alexandre Cotarmanac_h
//
//<alexandre.cotarmanac-h@polytechnique.org>
#if !defined(AFX_PREDICTIVEENCODERMFNormal_H__D11C75A4_D821_11D3_8169_525405F4A0F5__INCLUDED_)
#define AFX_PREDICTIVEENCODERMFNormal_H__D11C75A4_D821_11D3_8169_525405F4A0F5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "NatNormal.h"
#include "QuantNormal.h"
#include "PredictiveEncoderBase.h"


class PredictiveEncoderMFNormal : public PredictiveEncoderBase<NatNormal,QuantNormal> 
{
public:
	PredictiveEncoderMFNormal(BIFSEncoder * pBifs, Quantizer * pQuant):
		PredictiveEncoderBase<NatNormal,QuantNormal>(pBifs,pQuant)
		{
		}
};

#endif // !defined(AFX_PREDICTIVEENCODERMFNormal_H__D11C75A4_D821_11D3_8169_525405F4A0F5__INCLUDED_)
