// PredictiveEncoderMFRotation.h: interface for the PredictiveEncoderMFRot class.
//
//////////////////////////////////////////////////////////////////////
//$Log: PredictiveEncoderMFRotation.h,v $
//Revision 1.1  2000/03/03 18:41:22  Alex Cotarmanac'h
//Version 1 -- Alexandre Cotarmanac_h
//
//<alexandre.cotarmanac-h@polytechnique.org>
#if !defined(AFX_PREDICTIVEENCODERMFRot_H__D11C75A4_D821_11D3_8169_525405F4A0F5__INCLUDED_)
#define AFX_PREDICTIVEENCODERMFRot_H__D11C75A4_D821_11D3_8169_525405F4A0F5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "NatRot.h"
#include "QuantRot.h"
#include "PredictiveEncoderBase.h"


class PredictiveEncoderMFRot : public PredictiveEncoderBase<NatRot,QuantRot> 
{
public:
	PredictiveEncoderMFRot(BIFSEncoder * pBifs, Quantizer * pQuant):
		PredictiveEncoderBase<NatRot,QuantRot>(pBifs,pQuant)
		{
		}
};

#endif // !defined(AFX_PREDICTIVEENCODERMFRot_H__D11C75A4_D821_11D3_8169_525405F4A0F5__INCLUDED_)
