/*-------------------------------------------------------------------------
Project Im1Player/ Mux
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  OD Decoder/ Encoder / Mux
FILE:       ODEncDec.cpp
AUTHOR:     Cyril Concolato (cyril.concolato@enst.fr)
OVERVIEW:   Implementation of parsing/encoding of descriptors of OD stream
-------------------------------------------------------------------------*/

#include "defs.h"
#include "odp4.h"
#include "ODCoder.h"

void UIConfig :: DescEncDec (ODCoder *pCoder, OPTYPE op)
{
	nodeIDbits.EncDec (pCoder, this, op);
	protoIDbits.EncDec (pCoder, this, op);
	hasSize.EncDec (pCoder, this, op);
	if(hasSize) {
			pixelWidth.EncDec (pCoder, this, op);
			pixelHeight.EncDec (pCoder, this, op);
	}
	deviceURL.EncDec(pCoder,this,op);
}
