/*-------------------------------------------------------------------------
Project Im1Player/ Mux
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  OD Decoder/ Encoder
FILE:       odp4.cpp
AUTHOR:     Cyril Concolato (cyril.concolato@enst.fr)
OVERVIEW:   Implementation of parsing/encoding of descriptors of OD stream
-------------------------------------------------------------------------*/

#include "defs.h"
#include "odp4.h"
#include "odtags.h"

// CC 010119
OD_IMPLEMENT_DESCRIPTOR_START (UIConfig)
	OD_IMPLEMENT_FIELD (UIConfig, nodeIDbits)
	OD_IMPLEMENT_FIELD (UIConfig, protoIDbits)
	OD_IMPLEMENT_FIELD (UIConfig, hasSize)
	OD_IMPLEMENT_FIELD (UIConfig, pixelWidth)
	OD_IMPLEMENT_FIELD (UIConfig, pixelHeight)
	OD_IMPLEMENT_FIELD (UIConfig, deviceURL)
OD_IMPLEMENT_DESCRIPTOR_END (UIConfig)
// end CC 010119
