/***********************************************************************
This software module was originally developed by Zvi Lifshitz
(Optibase Ltd.) in the course of development of the MPEG-4 Systems
(ISO/IEC 14496-1) standard. This software module is an implementation of
a part of one or more MPEG-4 Systems (ISO/IEC 14496-1) tools as
specified by the MPEG-4 Systems (ISO/IEC 14496-1) standard. ISO/IEC
gives users of the MPEG-4 Systems (ISO/IEC 14496-1) free license to
this software module or modifications thereof for use in hardware or
software products claiming conformance to the MPEG-4 Systems (ISO/IEC
14496-1). Those intending to use this software module in hardware or
software products are advised that its use may infringe existing patents.
The original developer of this software module and his/her company, the
subsequent editors and their companies, and ISO/IEC have no liability
for use of this software module or modifications thereof in an
implementation. Copyright is not released for non MPEG-4 Systems
(ISO/IEC 14496-1) conforming products. Optibase Ltd. retains full right
to use the code for his/her own purpose, assign or donate the code to a
third party and to inhibit third parties from using the code for non
MPEG-4 Systems (ISO/IEC 14496-1) conforming products. This copyright
notice must be included in all copies or derivative works.
Copyright  1997.
************************************************************************

For more information or to receive an up to date version of this module,
you may call Zvi Lifshitz at zvil@csi.com.
----------------------------------------------------------------------*/

/*-------------------------------------------------------------------------
Project Im1Player
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  Presenter (simulation)
FILE:       ZMedia.cpp
AUTHOR:     Zvi Lifshitz (Optibase Ltd.)
OVERVIEW:   Implementation of my overloading nodes for MediaControl and MediaSensor
-------------------------------------------------------------------------*/

#include "defs.h"
#include "ZMedia.h"
#include "Executiv.h"
#include "Presenter.h"
#include "Stream.h"
#include "Clock.h"

/*-------------------------------------------------------------
Demo implementation of MediaSensor
-------------------------------------------------------------*/
BOOL ZMediaSensor :: Render (PresenterContext *pContext)
{
	ZPresenterContext *pCont = (ZPresenterContext *) pContext;
	++pCont -> m_nTabs;

/*	double dwTime;
	pCont -> m_dwCTS = 0xffffffff;
	if (media != NULL_OBJECT)
	{	media -> Render (pContext);
		if (pCont ->m_dwCTS != 0xffffffff)
		{	if (pCont ->m_dwCTS == 1)
				dwTime = 0;
			else
				dwTime = pCont ->m_dwCTS / (double)1000;
			currentTime = dwTime;
			if ((double) startTime != -1)
			{	bool b =
					dwTime >= (double) startTime &&
					dwTime < (double) startTime + (double) duration -
					GetPresenter () ->GetIterationInterval () / 1000.;
				if (b != bActive)
				{	bActive = b;
					isActive = b;
				}
			}
		}
	}
	--pCont -> m_nTabs; */
	return TRUE;
}

/*-------------------------------------------------------------
Demo implementation of MediaControl
-------------------------------------------------------------*/