/* INFO: This file contains old type of grouping BAPs (global positioning etc. */

/*------------------------------------------------------------------------------*/
/* 										*/
/* 										*/
/*  This software module was originally developed by Ronan Boulic and Tom Molet */
/*  (EPFL-LIG) and edited by Joaquim Esmerado (EPFL-LIG) 			*/
/*  in the course of development of the MPEG-4 SNHC 				*/
/*  VM. This software module is an implementation of a part of one or more 	*/
/*  MPEG-4 SNHC VM tools as specified by the MPEG-4 SNHC VM. ISO/IEC gives 	*/
/*  users of the MPEG-4 SNHC VM free license to this software module or 	*/
/*  modifications thereof for use in hardware or software products 		*/
/*  claiming conformance to the MPEG-4 SNHC VM. Those intending to use 		*/
/*  this software module in hardware or software products are advised that 	*/
/*  its use may infringe existing patents. The original developer of this 	*/
/*  software module and his/her company, the subsequent editors and their 	*/
/*  companies, and ISO/IEC have no liability for use of this software 		*/
/*  module or modifications thereof. Copyright is not released for non 		*/
/*  MPEG-4 SNHC VM conforming products. EPFL-LIG 				*/
/*  retains full right to use the code for its own purpose, assign or 		*/
/*  donate the code to a third party and to inhibit third parties from 		*/
/*  using the code for non MPEG-4 SNHC VM conforming products. This 		*/
/*  copyright notice must be included in all copies or derivative 		*/
/*  works. Copyright (1997).  							*/




#ifndef mais_h
#define mais_h

#ifdef __cplusplus
extern "C" {
#endif

#define BYTELEN         8
/*#define MAX_LINE_SIZE   250*/
#define MAX_LINE_SIZE   2500

#define MASK_MAX_POSSIBLE_LENGTH   500

#define	NUM_BAPS		186

#define         GLOBAL_PARS     0
#define         JOINT_PARS      1
#define         TRUE            1
#define         FALSE           0

#define         RULE_1_MASK     0x80
#define         RULE_2_MASK     0x40
#define         RULE_3_MASK     0x20
#define         RULE_4_MASK     0x10
#define         RULE_5_6_MASK   0x88
#define         RULE_7_8_MASK   0x44
#define         RULE_9_10_MASK  0x22
#define         RULE_11_MASK    0x01

#define         RULE_1_OK       1
#define         RULE_2_OK       2
#define         RULE_3_OK       3
#define         RULE_4_OK       4
#define         RULE_5_OK       5
#define         RULE_6_OK       6
#define         RULE_7_OK       7
#define         RULE_8_OK       8
#define         RULE_9_OK       9
#define         RULE_10_OK      10
#define         RULE_11_OK      11

#define BODY_DEF_NAME "noname.tpl"

#define NB_MY_BODY_PARTS        16+32

#define NB_JOINT_GROUPS 64
#define NB_GLOBAL_GROUPS 38

#define BODY_NB_ART             100

/* To be changed */
#define	NUM_GROUP_HAND_BAPS	4
#define	NUM_HAND_BAPS		50

extern FILE *Bap_file;

typedef char *STRING;

extern char * BuffPath;
extern char bodyfile[80];

/*#define       DIRECT_PROPAGATION      0*/

#ifdef __cplusplus
}
#endif

#endif

