
/*------------------------------------------------------------------------------*/
/* 										*/
/* 										*/
/*  This software module was originally developed by Ronan Boulic and Tom Molet */
/*  (EPFL-LIG) and edited by Joaquim Esmerado (EPFL-LIG) 			*/
/*  in the course of development of the MPEG-4 SNHC 				*/
/*  VM. This software module is an implementation of a part of one or more 	*/
/*  MPEG-4 SNHC VM tools as specified by the MPEG-4 SNHC VM. ISO/IEC gives 	*/
/*  users of the MPEG-4 SNHC VM free license to this software module or 	*/
/*  modifications thereof for use in hardware or software products 		*/
/*  claiming conformance to the MPEG-4 SNHC VM. Those intending to use 		*/
/*  this software module in hardware or software products are advised that 	*/
/*  its use may infringe existing patents. The original developer of this 	*/
/*  software module and his/her company, the subsequent editors and their 	*/
/*  companies, and ISO/IEC have no liability for use of this software 		*/
/*  module or modifications thereof. Copyright is not released for non 		*/
/*  MPEG-4 SNHC VM conforming products. EPFL-LIG 				*/
/*  retains full right to use the code for its own purpose, assign or 		*/
/*  donate the code to a third party and to inhibit third parties from 		*/
/*  using the code for non MPEG-4 SNHC VM conforming products. This 		*/
/*  copyright notice must be included in all copies or derivative 		*/
/*  works. Copyright (1997).  							*/




#ifndef params_h
#define params_h


#ifdef __cplusplus
extern "C" {
#endif


#define	NUMBER_GLOBAL_GROUPS_IN		11
#define	NUMBER_GLOBAL_GROUPS_PAR	21

#define	HEAD	0
#define	NECK	1

#define	LEFT_CLAV	2
#define	LEFT_SCAP	3
#define	LEFT_SHOULDER	4
#define	RIGHT_CLAV	5
#define	RIGHT_SCAP	6
#define	RIGHT_SHOULDER	7
#define	LEFT_ELBOW	8
#define	LEFT_WRIST	9
#define	RIGHT_ELBOW	10
#define	RIGHT_WRIST	11
#define	ANOTHER_PELVIS	12
#define	LEFT_HIP	13
#define	LEFT_KNEE	14
#define	RIGHT_HIP	15
#define	RIGHT_KNEE	16
#define	LEFT_ANKLE	17
#define	LEFT_MID_TOE	18
#define	RIGHT_ANKLE	19
#define	RIGHT_MID_TOE	20

#define	LEFT_ARM_1	22
#define	RIGHT_ARM_1	23
#define	LEFT_ARM_2	24
#define	RIGHT_ARM_2	25
#define	PELVIS	26
#define	LEFT_LEG_1	27
#define	RIGHT_LEG_1	28
#define	LEFT_LEG_2	29
#define	RIGHT_LEG_2	30


#ifdef __cplusplus
}
#endif

#endif

