/*****************************************************************************
* coder.h : global parameters/function prototypes for ISTcoder.cpp
*
* Gabriel Antunes Abrantes
* Instituto Superior Tecnico
* January 1998
* 
****************************************************************************/

#ifndef _CODER_H_
#define _CODER_H_

#include "codec.h"


#define SINGLE_MASK_SIZE    68


/*DCT coding */

#define SEGMENT_LENGTH  16
#define DC_MAX 32767
#define DC_MIN -32767


#define MARKER_BIT 1

#define BUFFER_SIZE 256
#define sign(x) ((x>=0)?1:-1)


void CodeFapFile(FILE *);

void PutBits (int , int , FILE *);

void AR_Encode(int, int *, FILE *);
void encoder_flush(FILE *);

#endif