/*****************************************************************************
* editor.h : global parameters/function prototypes of IST_Editor.c
*
* Gabriel Antunes Abrantes
* Instituto Superior Tecnico
* January 1997
* 
****************************************************************************/


#ifndef _EDITOR_H_
#define _EDITOR_H_


typedef struct {
	float framerate;
	int   framenumber;
	int    **mask;
	int    **faps;
} FAPeditor;

extern FAPeditor fapeditor;


extern int editfap;
extern int editcancel;

extern int coding_type,fap_quant,IPrange;


int  ReadEditFapHeader(char *);
void ReadEditFrames();

BOOL CALLBACK EditFAP_DlgProc(HWND,UINT,WPARAM,LPARAM);
BOOL CALLBACK FAP_DlgProc(HWND,UINT,WPARAM,LPARAM);

int SaveFAPorStreamFile(HWND,char *,char *); 	

#endif